Set RandomNumberSeed = 0
Set SimSpeed = AS_FAST_AS_POSSIBLE
Set TickToNanoSec = 100
Set WireLogFlag = on
Set WirelessLogFlag = on
Set GPRSLogFlag = on
Set OphyLogFlag = on
Set WiMAXLogFlag = on
Set MobileWIMAXLogFlag = on
Set MobileRelayWIMAXLogFlag = on
Set MR_WIMAX_NT_LogFlag = on
Set WiMAXChannelCoding = Off
Set WiFiChannelCoding = Off
Set WAVEChannelCoding = Off
Set MobileWIMAXChannelCoding = Off
Set MobileRelayWIMAXChannelCoding = Off
Set MR_WIMAXChannelCoding_NT = Off
Set DVBChannelCoding = off
Set SatLogFlag = off
Set DynamicMovingPath = Off
Set OnlinePacketTransmission = Off
Set GdbStart = off


Create Node 1 as MOBILE_INFRA with name = MOBILE_INFRA1
	Define port 1
		Module Interface : Node1_Interface_LINK_1
			Set Node1_Interface_LINK_1.guitag_ordinary = yes
			Set Node1_Interface_LINK_1.ip = 1.0.1.2
			Set Node1_Interface_LINK_1.netmask = 255.255.255.0

		Module ARP : Node1_ARP_LINK_1
			Set Node1_ARP_LINK_1.guitag_ordinary = yes
			Set Node1_ARP_LINK_1.arpMode = RunARP
			Set Node1_ARP_LINK_1.flushInterval = 3000
			Set Node1_ARP_LINK_1.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node1_FIFO_LINK_1
			Set Node1_FIFO_LINK_1.guitag_ordinary = yes
			Set Node1_FIFO_LINK_1.max_qlen = 50
			Set Node1_FIFO_LINK_1.log_qlen = off
			Set Node1_FIFO_LINK_1.log_option = FullLog
			Set Node1_FIFO_LINK_1.samplerate = 1
			Set Node1_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N1_P1_qlen.log

		Module MNode : Node1_MNode_LINK_1
			Set Node1_MNode_LINK_1.guitag_ordinary = yes
			Set Node1_MNode_LINK_1.OperationMode = INFRASTRUCTURE
			Set Node1_MNode_LINK_1.ScanMode = ACTIVE_SCAN

		Module MAC80211 : Node1_MAC80211_LINK_1
			Set Node1_MAC80211_LINK_1.guitag_ordinary = yes
			Set Node1_MAC80211_LINK_1.mac = 0:1:0:0:0:2
			Set Node1_MAC80211_LINK_1.PromisOpt = off
			Set Node1_MAC80211_LINK_1.RTS_Threshold = 3000
			Set Node1_MAC80211_LINK_1.log = on
			Set Node1_MAC80211_LINK_1.logInterval = 1
			Set Node1_MAC80211_LINK_1.NumUniInPkt = off
			Set Node1_MAC80211_LINK_1.NumUniOutPkt = off
			Set Node1_MAC80211_LINK_1.NumUniInOutPkt = off
			Set Node1_MAC80211_LINK_1.NumBroInPkt = off
			Set Node1_MAC80211_LINK_1.NumBroOutPkt = off
			Set Node1_MAC80211_LINK_1.NumBroInOutPkt = off
			Set Node1_MAC80211_LINK_1.NumCollision = on
			Set Node1_MAC80211_LINK_1.NumDrop = on
			Set Node1_MAC80211_LINK_1.InThrput = on
			Set Node1_MAC80211_LINK_1.OutThrput = on
			Set Node1_MAC80211_LINK_1.InOutThrput = on
			Set Node1_MAC80211_LINK_1.UniInLogFile = 531MDVB2.80211_N1_P1_UniIn.log
			Set Node1_MAC80211_LINK_1.UniOutLogFile = 531MDVB2.80211_N1_P1_UniOut.log
			Set Node1_MAC80211_LINK_1.UniInOutLogFile = 531MDVB2.80211_N1_P1_UniInOut.log
			Set Node1_MAC80211_LINK_1.BroInLogFile = 531MDVB2.80211_N1_P1_BroIn.log
			Set Node1_MAC80211_LINK_1.BroOutLogFile = 531MDVB2.80211_N1_P1_BroOut.log
			Set Node1_MAC80211_LINK_1.BroInOutLogFile = 531MDVB2.80211_N1_P1_BroInOut.log
			Set Node1_MAC80211_LINK_1.CollLogFile = 531MDVB2.80211_N1_P1_Coll.log
			Set Node1_MAC80211_LINK_1.DropLogFile = 531MDVB2.80211_N1_P1_Drop.log
			Set Node1_MAC80211_LINK_1.InThrputLogFile = 531MDVB2.80211_N1_P1_InThrput.log
			Set Node1_MAC80211_LINK_1.OutThrputLogFile = 531MDVB2.80211_N1_P1_OutThrput.log
			Set Node1_MAC80211_LINK_1.InOutThrputLogFile = 531MDVB2.80211_N1_P1_InOutThrput.log

		Module WTCPDUMP : Node1_WTCPDUMP_LINK_1
			Set Node1_WTCPDUMP_LINK_1.guitag_ordinary = yes

		Module Wphy : Node1_Wphy_LINK_1
			Set Node1_Wphy_LINK_1.guitag_ordinary = yes
			Set Node1_Wphy_LINK_1.BeamWidth = 360
			Set Node1_Wphy_LINK_1.PointingDirection = 90
			Set Node1_Wphy_LINK_1.AngularSpeed = 0
			Set Node1_Wphy_LINK_1.Bw = 11
			Set Node1_Wphy_LINK_1.channel = 3
			Set Node1_Wphy_LINK_1.freq = 2400
			Set Node1_Wphy_LINK_1.TransPower = 15
			Set Node1_Wphy_LINK_1.CSThresh = -87.57
			Set Node1_Wphy_LINK_1.RXThresh = -73.75
			Set Node1_Wphy_LINK_1.Gain = 1.0
			Set Node1_Wphy_LINK_1.BER = 0.0
			Set Node1_Wphy_LINK_1.log = off
			Set Node1_Wphy_LINK_1.logInterval = 1000
			Set Node1_Wphy_LINK_1.inOpt = off
			Set Node1_Wphy_LINK_1.outOpt = off
			Set Node1_Wphy_LINK_1.inoutOpt = off
			Set Node1_Wphy_LINK_1.logInFileName = 531MDVB2.wphy_N1_P1_inThrput.log
			Set Node1_Wphy_LINK_1.logOutFileName = 531MDVB2.wphy_N1_P1_outThrput.log
			Set Node1_Wphy_LINK_1.logInOutFileName = 531MDVB2.wphy_N1_P1_inoutThrput.log
			Set Node1_Wphy_LINK_1.linkfail = off
			Set Node1_Wphy_LINK_1.linkfailFileName = 531MDVB2.wphy_N1_P1.linkfail

		Module CM : Node1_CM_LINK_1
			Set Node1_CM_LINK_1.guitag_ordinary = yes
			Set Node1_CM_LINK_1.FadingVar = 10.0
			Set Node1_CM_LINK_1.RiceanK = 10.0
			Set Node1_CM_LINK_1.avgHB = 10.0
			Set Node1_CM_LINK_1.avgDist = 80.0
			Set Node1_CM_LINK_1.StreetWidth = 30.0
			Set Node1_CM_LINK_1.PLExp = 2.0
			Set Node1_CM_LINK_1.std_db = 4.0
			Set Node1_CM_LINK_1.dist0 = 1.0
			Set Node1_CM_LINK_1.SystemLoss = 1.0
			Set Node1_CM_LINK_1.antennaHeight = 1.5
			Set Node1_CM_LINK_1.propChannelMode = theoretical
			Set Node1_CM_LINK_1.PLModel = Two_Ray_Ground
			Set Node1_CM_LINK_1.fadingModel = None
			Set Node1_CM_LINK_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node1_CM_LINK_1.AGPOpt = 0
			Set Node1_CM_LINK_1.AGPFileName = null

		Module Link : Node1_LINK_1
			Set Node1_LINK_1.guitag_remotenode = yes


		Bind Node1_Interface_LINK_1 Node1_ARP_LINK_1
		Bind Node1_ARP_LINK_1 Node1_FIFO_LINK_1
		Bind Node1_FIFO_LINK_1 Node1_MNode_LINK_1
		Bind Node1_MNode_LINK_1 Node1_MAC80211_LINK_1
		Bind Node1_MAC80211_LINK_1 Node1_WTCPDUMP_LINK_1
		Bind Node1_WTCPDUMP_LINK_1 Node1_Wphy_LINK_1
		Bind Node1_Wphy_LINK_1 Node1_CM_LINK_1
		Bind Node1_CM_LINK_1 Node1_LINK_1
	EndDefine

EndCreate

Create Node 2 as MOBILE_INFRA with name = MOBILE_INFRA2
	Define port 1
		Module Interface : Node2_Interface_LINK_1
			Set Node2_Interface_LINK_1.guitag_ordinary = yes
			Set Node2_Interface_LINK_1.ip = 1.0.1.3
			Set Node2_Interface_LINK_1.netmask = 255.255.255.0

		Module ARP : Node2_ARP_LINK_1
			Set Node2_ARP_LINK_1.guitag_ordinary = yes
			Set Node2_ARP_LINK_1.arpMode = RunARP
			Set Node2_ARP_LINK_1.flushInterval = 3000
			Set Node2_ARP_LINK_1.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node2_FIFO_LINK_1
			Set Node2_FIFO_LINK_1.guitag_ordinary = yes
			Set Node2_FIFO_LINK_1.max_qlen = 50
			Set Node2_FIFO_LINK_1.log_qlen = off
			Set Node2_FIFO_LINK_1.log_option = FullLog
			Set Node2_FIFO_LINK_1.samplerate = 1
			Set Node2_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N2_P1_qlen.log

		Module MNode : Node2_MNode_LINK_1
			Set Node2_MNode_LINK_1.guitag_ordinary = yes
			Set Node2_MNode_LINK_1.OperationMode = INFRASTRUCTURE
			Set Node2_MNode_LINK_1.ScanMode = ACTIVE_SCAN

		Module MAC80211 : Node2_MAC80211_LINK_1
			Set Node2_MAC80211_LINK_1.guitag_ordinary = yes
			Set Node2_MAC80211_LINK_1.mac = 0:1:0:0:0:3
			Set Node2_MAC80211_LINK_1.PromisOpt = off
			Set Node2_MAC80211_LINK_1.RTS_Threshold = 3000
			Set Node2_MAC80211_LINK_1.log = on
			Set Node2_MAC80211_LINK_1.logInterval = 1
			Set Node2_MAC80211_LINK_1.NumUniInPkt = off
			Set Node2_MAC80211_LINK_1.NumUniOutPkt = off
			Set Node2_MAC80211_LINK_1.NumUniInOutPkt = off
			Set Node2_MAC80211_LINK_1.NumBroInPkt = off
			Set Node2_MAC80211_LINK_1.NumBroOutPkt = off
			Set Node2_MAC80211_LINK_1.NumBroInOutPkt = off
			Set Node2_MAC80211_LINK_1.NumCollision = on
			Set Node2_MAC80211_LINK_1.NumDrop = on
			Set Node2_MAC80211_LINK_1.InThrput = on
			Set Node2_MAC80211_LINK_1.OutThrput = on
			Set Node2_MAC80211_LINK_1.InOutThrput = on
			Set Node2_MAC80211_LINK_1.UniInLogFile = 531MDVB2.80211_N2_P1_UniIn.log
			Set Node2_MAC80211_LINK_1.UniOutLogFile = 531MDVB2.80211_N2_P1_UniOut.log
			Set Node2_MAC80211_LINK_1.UniInOutLogFile = 531MDVB2.80211_N2_P1_UniInOut.log
			Set Node2_MAC80211_LINK_1.BroInLogFile = 531MDVB2.80211_N2_P1_BroIn.log
			Set Node2_MAC80211_LINK_1.BroOutLogFile = 531MDVB2.80211_N2_P1_BroOut.log
			Set Node2_MAC80211_LINK_1.BroInOutLogFile = 531MDVB2.80211_N2_P1_BroInOut.log
			Set Node2_MAC80211_LINK_1.CollLogFile = 531MDVB2.80211_N2_P1_Coll.log
			Set Node2_MAC80211_LINK_1.DropLogFile = 531MDVB2.80211_N2_P1_Drop.log
			Set Node2_MAC80211_LINK_1.InThrputLogFile = 531MDVB2.80211_N2_P1_InThrput.log
			Set Node2_MAC80211_LINK_1.OutThrputLogFile = 531MDVB2.80211_N2_P1_OutThrput.log
			Set Node2_MAC80211_LINK_1.InOutThrputLogFile = 531MDVB2.80211_N2_P1_InOutThrput.log

		Module WTCPDUMP : Node2_WTCPDUMP_LINK_1
			Set Node2_WTCPDUMP_LINK_1.guitag_ordinary = yes

		Module Wphy : Node2_Wphy_LINK_1
			Set Node2_Wphy_LINK_1.guitag_ordinary = yes
			Set Node2_Wphy_LINK_1.BeamWidth = 360
			Set Node2_Wphy_LINK_1.PointingDirection = 90
			Set Node2_Wphy_LINK_1.AngularSpeed = 0
			Set Node2_Wphy_LINK_1.Bw = 11
			Set Node2_Wphy_LINK_1.channel = 3
			Set Node2_Wphy_LINK_1.freq = 2400
			Set Node2_Wphy_LINK_1.TransPower = 15
			Set Node2_Wphy_LINK_1.CSThresh = -87.57
			Set Node2_Wphy_LINK_1.RXThresh = -73.75
			Set Node2_Wphy_LINK_1.Gain = 1.0
			Set Node2_Wphy_LINK_1.BER = 0.0
			Set Node2_Wphy_LINK_1.log = off
			Set Node2_Wphy_LINK_1.logInterval = 1000
			Set Node2_Wphy_LINK_1.inOpt = off
			Set Node2_Wphy_LINK_1.outOpt = off
			Set Node2_Wphy_LINK_1.inoutOpt = off
			Set Node2_Wphy_LINK_1.logInFileName = 531MDVB2.wphy_N2_P1_inThrput.log
			Set Node2_Wphy_LINK_1.logOutFileName = 531MDVB2.wphy_N2_P1_outThrput.log
			Set Node2_Wphy_LINK_1.logInOutFileName = 531MDVB2.wphy_N2_P1_inoutThrput.log
			Set Node2_Wphy_LINK_1.linkfail = off
			Set Node2_Wphy_LINK_1.linkfailFileName = 531MDVB2.wphy_N2_P1.linkfail

		Module CM : Node2_CM_LINK_1
			Set Node2_CM_LINK_1.guitag_ordinary = yes
			Set Node2_CM_LINK_1.FadingVar = 10.0
			Set Node2_CM_LINK_1.RiceanK = 10.0
			Set Node2_CM_LINK_1.avgHB = 10.0
			Set Node2_CM_LINK_1.avgDist = 80.0
			Set Node2_CM_LINK_1.StreetWidth = 30.0
			Set Node2_CM_LINK_1.PLExp = 2.0
			Set Node2_CM_LINK_1.std_db = 4.0
			Set Node2_CM_LINK_1.dist0 = 1.0
			Set Node2_CM_LINK_1.SystemLoss = 1.0
			Set Node2_CM_LINK_1.antennaHeight = 1.5
			Set Node2_CM_LINK_1.propChannelMode = theoretical
			Set Node2_CM_LINK_1.PLModel = Two_Ray_Ground
			Set Node2_CM_LINK_1.fadingModel = None
			Set Node2_CM_LINK_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node2_CM_LINK_1.AGPOpt = 0
			Set Node2_CM_LINK_1.AGPFileName = null

		Module Link : Node2_LINK_1
			Set Node2_LINK_1.guitag_remotenode = yes


		Bind Node2_Interface_LINK_1 Node2_ARP_LINK_1
		Bind Node2_ARP_LINK_1 Node2_FIFO_LINK_1
		Bind Node2_FIFO_LINK_1 Node2_MNode_LINK_1
		Bind Node2_MNode_LINK_1 Node2_MAC80211_LINK_1
		Bind Node2_MAC80211_LINK_1 Node2_WTCPDUMP_LINK_1
		Bind Node2_WTCPDUMP_LINK_1 Node2_Wphy_LINK_1
		Bind Node2_Wphy_LINK_1 Node2_CM_LINK_1
		Bind Node2_CM_LINK_1 Node2_LINK_1
	EndDefine

EndCreate

Create Node 3 as MESH_OSPF_AP with name = MESH_OSPF_AP3
	Module MeshOSPF : Node3_MeshOSPF_0
		Set Node3_MeshOSPF_0.guitag_addport = yes
		Set Node3_MeshOSPF_0.guitag_ordinary = yes
		Set Node3_MeshOSPF_0.use_etx_flag = no
	Define port 1
		Module FIFO : Node3_FIFO_LINK_1

			Set Node3_MeshOSPF_0.port1 = Node3_FIFO_LINK_1
			Set Node3_MeshOSPF_0.fixed_net1 = Node3_FIFO_LINK_1.no
			Set Node3_FIFO_LINK_1.recvtarget = Node3_MeshOSPF_0

			Set Node3_FIFO_LINK_1.guitag_ordinary = yes
			Set Node3_FIFO_LINK_1.max_qlen = 50
			Set Node3_FIFO_LINK_1.log_qlen = off
			Set Node3_FIFO_LINK_1.log_option = FullLog
			Set Node3_FIFO_LINK_1.samplerate = 1
			Set Node3_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N3_P1_qlen.log

		Module AP : Node3_AP_LINK_1
			Set Node3_AP_LINK_1.guitag_ordinary = yes
			Set Node3_AP_LINK_1.BeaconInterval = 100

		Module MAC80211 : Node3_MAC80211_LINK_1
			Set Node3_MAC80211_LINK_1.guitag_ordinary = yes
			Set Node3_MAC80211_LINK_1.mac = 0:1:0:0:0:5
			Set Node3_MAC80211_LINK_1.PromisOpt = off
			Set Node3_MAC80211_LINK_1.RTS_Threshold = 3000
			Set Node3_MAC80211_LINK_1.log = off
			Set Node3_MAC80211_LINK_1.logInterval = 1
			Set Node3_MAC80211_LINK_1.NumUniInPkt = off
			Set Node3_MAC80211_LINK_1.NumUniOutPkt = off
			Set Node3_MAC80211_LINK_1.NumUniInOutPkt = off
			Set Node3_MAC80211_LINK_1.NumBroInPkt = off
			Set Node3_MAC80211_LINK_1.NumBroOutPkt = off
			Set Node3_MAC80211_LINK_1.NumBroInOutPkt = off
			Set Node3_MAC80211_LINK_1.NumCollision = off
			Set Node3_MAC80211_LINK_1.NumDrop = off
			Set Node3_MAC80211_LINK_1.InThrput = off
			Set Node3_MAC80211_LINK_1.OutThrput = off
			Set Node3_MAC80211_LINK_1.InOutThrput = off
			Set Node3_MAC80211_LINK_1.UniInLogFile = 531MDVB2.80211_N3_P1_UniIn.log
			Set Node3_MAC80211_LINK_1.UniOutLogFile = 531MDVB2.80211_N3_P1_UniOut.log
			Set Node3_MAC80211_LINK_1.UniInOutLogFile = 531MDVB2.80211_N3_P1_UniInOut.log
			Set Node3_MAC80211_LINK_1.BroInLogFile = 531MDVB2.80211_N3_P1_BroIn.log
			Set Node3_MAC80211_LINK_1.BroOutLogFile = 531MDVB2.80211_N3_P1_BroOut.log
			Set Node3_MAC80211_LINK_1.BroInOutLogFile = 531MDVB2.80211_N3_P1_BroInOut.log
			Set Node3_MAC80211_LINK_1.CollLogFile = 531MDVB2.80211_N3_P1_Coll.log
			Set Node3_MAC80211_LINK_1.DropLogFile = 531MDVB2.80211_N3_P1_Drop.log
			Set Node3_MAC80211_LINK_1.InThrputLogFile = 531MDVB2.80211_N3_P1_InThrput.log
			Set Node3_MAC80211_LINK_1.OutThrputLogFile = 531MDVB2.80211_N3_P1_OutThrput.log
			Set Node3_MAC80211_LINK_1.InOutThrputLogFile = 531MDVB2.80211_N3_P1_InOutThrput.log

		Module Wphy : Node3_Wphy_LINK_1
			Set Node3_Wphy_LINK_1.guitag_ordinary = yes
			Set Node3_Wphy_LINK_1.BeamWidth = 360
			Set Node3_Wphy_LINK_1.PointingDirection = 90
			Set Node3_Wphy_LINK_1.AngularSpeed = 0
			Set Node3_Wphy_LINK_1.Bw = 11
			Set Node3_Wphy_LINK_1.channel = 3
			Set Node3_Wphy_LINK_1.freq = 2400
			Set Node3_Wphy_LINK_1.TransPower = 15
			Set Node3_Wphy_LINK_1.CSThresh = -87.57
			Set Node3_Wphy_LINK_1.RXThresh = -73.75
			Set Node3_Wphy_LINK_1.Gain = 1.0
			Set Node3_Wphy_LINK_1.BER = 0.0
			Set Node3_Wphy_LINK_1.log = off
			Set Node3_Wphy_LINK_1.logInterval = 1000
			Set Node3_Wphy_LINK_1.inOpt = off
			Set Node3_Wphy_LINK_1.outOpt = off
			Set Node3_Wphy_LINK_1.inoutOpt = off
			Set Node3_Wphy_LINK_1.logInFileName = 531MDVB2.wphy_N3_P1_inThrput.log
			Set Node3_Wphy_LINK_1.logOutFileName = 531MDVB2.wphy_N3_P1_outThrput.log
			Set Node3_Wphy_LINK_1.logInOutFileName = 531MDVB2.wphy_N3_P1_inoutThrput.log
			Set Node3_Wphy_LINK_1.linkfail = off
			Set Node3_Wphy_LINK_1.linkfailFileName = 531MDVB2.wphy_N3_P1.linkfail

		Module CM : Node3_CM_LINK_1
			Set Node3_CM_LINK_1.guitag_ordinary = yes
			Set Node3_CM_LINK_1.FadingVar = 10.0
			Set Node3_CM_LINK_1.RiceanK = 10.0
			Set Node3_CM_LINK_1.avgHB = 10.0
			Set Node3_CM_LINK_1.avgDist = 80.0
			Set Node3_CM_LINK_1.StreetWidth = 30.0
			Set Node3_CM_LINK_1.PLExp = 2.0
			Set Node3_CM_LINK_1.std_db = 4.0
			Set Node3_CM_LINK_1.dist0 = 1.0
			Set Node3_CM_LINK_1.SystemLoss = 1.0
			Set Node3_CM_LINK_1.antennaHeight = 1.5
			Set Node3_CM_LINK_1.propChannelMode = theoretical
			Set Node3_CM_LINK_1.PLModel = Two_Ray_Ground
			Set Node3_CM_LINK_1.fadingModel = None
			Set Node3_CM_LINK_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node3_CM_LINK_1.AGPOpt = 0
			Set Node3_CM_LINK_1.AGPFileName = null

		Module Link : Node3_LINK_1
			Set Node3_LINK_1.guitag_remotenode = yes


		Bind Node3_FIFO_LINK_1 Node3_AP_LINK_1
		Bind Node3_AP_LINK_1 Node3_MAC80211_LINK_1
		Bind Node3_MAC80211_LINK_1 Node3_Wphy_LINK_1
		Bind Node3_Wphy_LINK_1 Node3_CM_LINK_1
		Bind Node3_CM_LINK_1 Node3_LINK_1
	EndDefine

	Define port 2
		Module FIFO : Node3_FIFO_LINK_2

			Set Node3_MeshOSPF_0.port2 = Node3_FIFO_LINK_2
			Set Node3_MeshOSPF_0.fixed_net2 = Node3_FIFO_LINK_2.no
			Set Node3_FIFO_LINK_2.recvtarget = Node3_MeshOSPF_0

			Set Node3_FIFO_LINK_2.guitag_ordinary = yes
			Set Node3_FIFO_LINK_2.max_qlen = 50
			Set Node3_FIFO_LINK_2.log_qlen = off
			Set Node3_FIFO_LINK_2.log_option = FullLog
			Set Node3_FIFO_LINK_2.samplerate = 1
			Set Node3_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N3_P2_qlen.log

		Module MNode : Node3_MNode_LINK_2
			Set Node3_MNode_LINK_2.guitag_ordinary = yes
			Set Node3_MNode_LINK_2.OperationMode = AD_HOC
			Set Node3_MNode_LINK_2.ScanMode = ACTIVE_SCAN

		Module MAC80211 : Node3_MAC80211_LINK_2
			Set Node3_MAC80211_LINK_2.guitag_ordinary = yes
			Set Node3_MAC80211_LINK_2.mac = 0:1:0:0:0:6
			Set Node3_MAC80211_LINK_2.PromisOpt = off
			Set Node3_MAC80211_LINK_2.RTS_Threshold = 3000
			Set Node3_MAC80211_LINK_2.log = off
			Set Node3_MAC80211_LINK_2.logInterval = 1
			Set Node3_MAC80211_LINK_2.NumUniInPkt = off
			Set Node3_MAC80211_LINK_2.NumUniOutPkt = off
			Set Node3_MAC80211_LINK_2.NumUniInOutPkt = off
			Set Node3_MAC80211_LINK_2.NumBroInPkt = off
			Set Node3_MAC80211_LINK_2.NumBroOutPkt = off
			Set Node3_MAC80211_LINK_2.NumBroInOutPkt = off
			Set Node3_MAC80211_LINK_2.NumCollision = off
			Set Node3_MAC80211_LINK_2.NumDrop = off
			Set Node3_MAC80211_LINK_2.InThrput = off
			Set Node3_MAC80211_LINK_2.OutThrput = off
			Set Node3_MAC80211_LINK_2.InOutThrput = off
			Set Node3_MAC80211_LINK_2.UniInLogFile = 531MDVB2.80211_N3_P2_UniIn.log
			Set Node3_MAC80211_LINK_2.UniOutLogFile = 531MDVB2.80211_N3_P2_UniOut.log
			Set Node3_MAC80211_LINK_2.UniInOutLogFile = 531MDVB2.80211_N3_P2_UniInOut.log
			Set Node3_MAC80211_LINK_2.BroInLogFile = 531MDVB2.80211_N3_P2_BroIn.log
			Set Node3_MAC80211_LINK_2.BroOutLogFile = 531MDVB2.80211_N3_P2_BroOut.log
			Set Node3_MAC80211_LINK_2.BroInOutLogFile = 531MDVB2.80211_N3_P2_BroInOut.log
			Set Node3_MAC80211_LINK_2.CollLogFile = 531MDVB2.80211_N3_P2_Coll.log
			Set Node3_MAC80211_LINK_2.DropLogFile = 531MDVB2.80211_N3_P2_Drop.log
			Set Node3_MAC80211_LINK_2.InThrputLogFile = 531MDVB2.80211_N3_P2_InThrput.log
			Set Node3_MAC80211_LINK_2.OutThrputLogFile = 531MDVB2.80211_N3_P2_OutThrput.log
			Set Node3_MAC80211_LINK_2.InOutThrputLogFile = 531MDVB2.80211_N3_P2_InOutThrput.log

		Module Wphy : Node3_Wphy_LINK_2
			Set Node3_Wphy_LINK_2.guitag_ordinary = yes
			Set Node3_Wphy_LINK_2.BeamWidth = 360
			Set Node3_Wphy_LINK_2.PointingDirection = 90
			Set Node3_Wphy_LINK_2.AngularSpeed = 0
			Set Node3_Wphy_LINK_2.Bw = 11
			Set Node3_Wphy_LINK_2.channel = 6
			Set Node3_Wphy_LINK_2.freq = 2400
			Set Node3_Wphy_LINK_2.TransPower = 15
			Set Node3_Wphy_LINK_2.CSThresh = -87.57
			Set Node3_Wphy_LINK_2.RXThresh = -73.75
			Set Node3_Wphy_LINK_2.Gain = 1.0
			Set Node3_Wphy_LINK_2.BER = 0.0
			Set Node3_Wphy_LINK_2.log = off
			Set Node3_Wphy_LINK_2.logInterval = 1000
			Set Node3_Wphy_LINK_2.inOpt = off
			Set Node3_Wphy_LINK_2.outOpt = off
			Set Node3_Wphy_LINK_2.inoutOpt = off
			Set Node3_Wphy_LINK_2.logInFileName = 531MDVB2.wphy_N3_P2_inThrput.log
			Set Node3_Wphy_LINK_2.logOutFileName = 531MDVB2.wphy_N3_P2_outThrput.log
			Set Node3_Wphy_LINK_2.logInOutFileName = 531MDVB2.wphy_N3_P2_inoutThrput.log
			Set Node3_Wphy_LINK_2.linkfail = off
			Set Node3_Wphy_LINK_2.linkfailFileName = 531MDVB2.wphy_N3_P2.linkfail

		Module CM : Node3_CM_LINK_2
			Set Node3_CM_LINK_2.guitag_ordinary = yes
			Set Node3_CM_LINK_2.FadingVar = 10.0
			Set Node3_CM_LINK_2.RiceanK = 10.0
			Set Node3_CM_LINK_2.avgHB = 10.0
			Set Node3_CM_LINK_2.avgDist = 80.0
			Set Node3_CM_LINK_2.StreetWidth = 30.0
			Set Node3_CM_LINK_2.PLExp = 2.0
			Set Node3_CM_LINK_2.std_db = 4.0
			Set Node3_CM_LINK_2.dist0 = 1.0
			Set Node3_CM_LINK_2.SystemLoss = 1.0
			Set Node3_CM_LINK_2.antennaHeight = 1.5
			Set Node3_CM_LINK_2.propChannelMode = theoretical
			Set Node3_CM_LINK_2.PLModel = Two_Ray_Ground
			Set Node3_CM_LINK_2.fadingModel = None
			Set Node3_CM_LINK_2.empiricalModel = Suburban_1_9GHz_TB
			Set Node3_CM_LINK_2.AGPOpt = 0
			Set Node3_CM_LINK_2.AGPFileName = null

		Module Link : Node3_LINK_2
			Set Node3_LINK_2.guitag_remotenode = yes


		Bind Node3_FIFO_LINK_2 Node3_MNode_LINK_2
		Bind Node3_MNode_LINK_2 Node3_MAC80211_LINK_2
		Bind Node3_MAC80211_LINK_2 Node3_Wphy_LINK_2
		Bind Node3_Wphy_LINK_2 Node3_CM_LINK_2
		Bind Node3_CM_LINK_2 Node3_LINK_2
	EndDefine

	Define port 3
		Module FIFO : Node3_FIFO_LINK_3

			Set Node3_MeshOSPF_0.port3 = Node3_FIFO_LINK_3
			Set Node3_MeshOSPF_0.fixed_net3 = Node3_FIFO_LINK_3.no
			Set Node3_FIFO_LINK_3.recvtarget = Node3_MeshOSPF_0

			Set Node3_FIFO_LINK_3.guitag_ordinary = yes
			Set Node3_FIFO_LINK_3.max_qlen = 50
			Set Node3_FIFO_LINK_3.log_qlen = off
			Set Node3_FIFO_LINK_3.log_option = FullLog
			Set Node3_FIFO_LINK_3.samplerate = 1
			Set Node3_FIFO_LINK_3.logFileName = 531MDVB2.fifo_N3_P3_qlen.log

		Module MAC8023 : Node3_MAC8023_LINK_3
			Set Node3_MAC8023_LINK_3.guitag_ordinary = yes
			Set Node3_MAC8023_LINK_3.mac = 0:1:0:0:0:4
			Set Node3_MAC8023_LINK_3.PromisOpt = on
			Set Node3_MAC8023_LINK_3.mode = full
			Set Node3_MAC8023_LINK_3.log = off
			Set Node3_MAC8023_LINK_3.logInterval = 1
			Set Node3_MAC8023_LINK_3.NumCollision = off
			Set Node3_MAC8023_LINK_3.NumUniInPkt = off
			Set Node3_MAC8023_LINK_3.NumUniOutPkt = off
			Set Node3_MAC8023_LINK_3.NumUniInOutPkt = off
			Set Node3_MAC8023_LINK_3.NumBroInPkt = off
			Set Node3_MAC8023_LINK_3.NumBroOutPkt = off
			Set Node3_MAC8023_LINK_3.NumBroInOutPkt = off
			Set Node3_MAC8023_LINK_3.NumDrop = off
			Set Node3_MAC8023_LINK_3.InThrput = off
			Set Node3_MAC8023_LINK_3.OutThrput = off
			Set Node3_MAC8023_LINK_3.InOutThrput = off
			Set Node3_MAC8023_LINK_3.UniInLogFile = 531MDVB2.8023_N3_P3_UniIn.log
			Set Node3_MAC8023_LINK_3.UniOutLogFile = 531MDVB2.8023_N3_P3_UniOut.log
			Set Node3_MAC8023_LINK_3.UniInOutLogFile = 531MDVB2.8023_N3_P3_UniInOut.log
			Set Node3_MAC8023_LINK_3.BroInLogFile = 531MDVB2.8023_N3_P3_BroIn.log
			Set Node3_MAC8023_LINK_3.BroOutLogFile = 531MDVB2.8023_N3_P3_BroOut.log
			Set Node3_MAC8023_LINK_3.BroInOutLogFile = 531MDVB2.8023_N3_P3_BroInOut.log
			Set Node3_MAC8023_LINK_3.CollLogFile = 531MDVB2.8023_N3_P3_Coll.log
			Set Node3_MAC8023_LINK_3.DropLogFile = 531MDVB2.8023_N3_P3_Drop.log
			Set Node3_MAC8023_LINK_3.InThrputLogFile = 531MDVB2.8023_N3_P3_InThrput.log
			Set Node3_MAC8023_LINK_3.OutThrputLogFile = 531MDVB2.8023_N3_P3_OutThrput.log
			Set Node3_MAC8023_LINK_3.InOutThrputLogFile = 531MDVB2.8023_N3_P3_InOutThrput.log

		Module Phy : Node3_Phy_LINK_3
			Set Node3_Phy_LINK_3.guitag_ordinary = yes
			Set Node3_Phy_LINK_3.Bw = 10
			Set Node3_Phy_LINK_3.BER = 0.0
			Set Node3_Phy_LINK_3.PropDelay = 1
			Set Node3_Phy_LINK_3.linkfail = off
			Set Node3_Phy_LINK_3.linkfailFileName = 531MDVB2.phy_N3_P3.linkfail

		Module Link : Node3_LINK_3
			Set Node3_LINK_3.guitag_remotenode = yes


		Bind Node3_FIFO_LINK_3 Node3_MAC8023_LINK_3
		Bind Node3_MAC8023_LINK_3 Node3_Phy_LINK_3
		Bind Node3_Phy_LINK_3 Node3_LINK_3
	EndDefine

EndCreate

Create Node 4 as MESH_OSPF_AP with name = MESH_OSPF_AP4
	Module MeshOSPF : Node4_MeshOSPF_0
		Set Node4_MeshOSPF_0.guitag_addport = yes
		Set Node4_MeshOSPF_0.guitag_ordinary = yes
		Set Node4_MeshOSPF_0.use_etx_flag = no
	Define port 1
		Module FIFO : Node4_FIFO_LINK_1

			Set Node4_MeshOSPF_0.port1 = Node4_FIFO_LINK_1
			Set Node4_MeshOSPF_0.fixed_net1 = Node4_FIFO_LINK_1.no
			Set Node4_FIFO_LINK_1.recvtarget = Node4_MeshOSPF_0

			Set Node4_FIFO_LINK_1.guitag_ordinary = yes
			Set Node4_FIFO_LINK_1.max_qlen = 50
			Set Node4_FIFO_LINK_1.log_qlen = off
			Set Node4_FIFO_LINK_1.log_option = FullLog
			Set Node4_FIFO_LINK_1.samplerate = 1
			Set Node4_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N4_P1_qlen.log

		Module AP : Node4_AP_LINK_1
			Set Node4_AP_LINK_1.guitag_ordinary = yes
			Set Node4_AP_LINK_1.BeaconInterval = 100

		Module MAC80211 : Node4_MAC80211_LINK_1
			Set Node4_MAC80211_LINK_1.guitag_ordinary = yes
			Set Node4_MAC80211_LINK_1.mac = 0:1:0:0:0:8
			Set Node4_MAC80211_LINK_1.PromisOpt = off
			Set Node4_MAC80211_LINK_1.RTS_Threshold = 3000
			Set Node4_MAC80211_LINK_1.log = off
			Set Node4_MAC80211_LINK_1.logInterval = 1
			Set Node4_MAC80211_LINK_1.NumUniInPkt = off
			Set Node4_MAC80211_LINK_1.NumUniOutPkt = off
			Set Node4_MAC80211_LINK_1.NumUniInOutPkt = off
			Set Node4_MAC80211_LINK_1.NumBroInPkt = off
			Set Node4_MAC80211_LINK_1.NumBroOutPkt = off
			Set Node4_MAC80211_LINK_1.NumBroInOutPkt = off
			Set Node4_MAC80211_LINK_1.NumCollision = off
			Set Node4_MAC80211_LINK_1.NumDrop = off
			Set Node4_MAC80211_LINK_1.InThrput = off
			Set Node4_MAC80211_LINK_1.OutThrput = off
			Set Node4_MAC80211_LINK_1.InOutThrput = off
			Set Node4_MAC80211_LINK_1.UniInLogFile = 531MDVB2.80211_N4_P1_UniIn.log
			Set Node4_MAC80211_LINK_1.UniOutLogFile = 531MDVB2.80211_N4_P1_UniOut.log
			Set Node4_MAC80211_LINK_1.UniInOutLogFile = 531MDVB2.80211_N4_P1_UniInOut.log
			Set Node4_MAC80211_LINK_1.BroInLogFile = 531MDVB2.80211_N4_P1_BroIn.log
			Set Node4_MAC80211_LINK_1.BroOutLogFile = 531MDVB2.80211_N4_P1_BroOut.log
			Set Node4_MAC80211_LINK_1.BroInOutLogFile = 531MDVB2.80211_N4_P1_BroInOut.log
			Set Node4_MAC80211_LINK_1.CollLogFile = 531MDVB2.80211_N4_P1_Coll.log
			Set Node4_MAC80211_LINK_1.DropLogFile = 531MDVB2.80211_N4_P1_Drop.log
			Set Node4_MAC80211_LINK_1.InThrputLogFile = 531MDVB2.80211_N4_P1_InThrput.log
			Set Node4_MAC80211_LINK_1.OutThrputLogFile = 531MDVB2.80211_N4_P1_OutThrput.log
			Set Node4_MAC80211_LINK_1.InOutThrputLogFile = 531MDVB2.80211_N4_P1_InOutThrput.log

		Module Wphy : Node4_Wphy_LINK_1
			Set Node4_Wphy_LINK_1.guitag_ordinary = yes
			Set Node4_Wphy_LINK_1.BeamWidth = 360
			Set Node4_Wphy_LINK_1.PointingDirection = 90
			Set Node4_Wphy_LINK_1.AngularSpeed = 0
			Set Node4_Wphy_LINK_1.Bw = 11
			Set Node4_Wphy_LINK_1.channel = 3
			Set Node4_Wphy_LINK_1.freq = 2400
			Set Node4_Wphy_LINK_1.TransPower = 15
			Set Node4_Wphy_LINK_1.CSThresh = -87.57
			Set Node4_Wphy_LINK_1.RXThresh = -73.75
			Set Node4_Wphy_LINK_1.Gain = 1.0
			Set Node4_Wphy_LINK_1.BER = 0.0
			Set Node4_Wphy_LINK_1.log = off
			Set Node4_Wphy_LINK_1.logInterval = 1000
			Set Node4_Wphy_LINK_1.inOpt = off
			Set Node4_Wphy_LINK_1.outOpt = off
			Set Node4_Wphy_LINK_1.inoutOpt = off
			Set Node4_Wphy_LINK_1.logInFileName = 531MDVB2.wphy_N4_P1_inThrput.log
			Set Node4_Wphy_LINK_1.logOutFileName = 531MDVB2.wphy_N4_P1_outThrput.log
			Set Node4_Wphy_LINK_1.logInOutFileName = 531MDVB2.wphy_N4_P1_inoutThrput.log
			Set Node4_Wphy_LINK_1.linkfail = off
			Set Node4_Wphy_LINK_1.linkfailFileName = 531MDVB2.wphy_N4_P1.linkfail

		Module CM : Node4_CM_LINK_1
			Set Node4_CM_LINK_1.guitag_ordinary = yes
			Set Node4_CM_LINK_1.FadingVar = 10.0
			Set Node4_CM_LINK_1.RiceanK = 10.0
			Set Node4_CM_LINK_1.avgHB = 10.0
			Set Node4_CM_LINK_1.avgDist = 80.0
			Set Node4_CM_LINK_1.StreetWidth = 30.0
			Set Node4_CM_LINK_1.PLExp = 2.0
			Set Node4_CM_LINK_1.std_db = 4.0
			Set Node4_CM_LINK_1.dist0 = 1.0
			Set Node4_CM_LINK_1.SystemLoss = 1.0
			Set Node4_CM_LINK_1.antennaHeight = 1.5
			Set Node4_CM_LINK_1.propChannelMode = theoretical
			Set Node4_CM_LINK_1.PLModel = Two_Ray_Ground
			Set Node4_CM_LINK_1.fadingModel = None
			Set Node4_CM_LINK_1.empiricalModel = Suburban_1_9GHz_TB
			Set Node4_CM_LINK_1.AGPOpt = 0
			Set Node4_CM_LINK_1.AGPFileName = null

		Module Link : Node4_LINK_1
			Set Node4_LINK_1.guitag_remotenode = yes


		Bind Node4_FIFO_LINK_1 Node4_AP_LINK_1
		Bind Node4_AP_LINK_1 Node4_MAC80211_LINK_1
		Bind Node4_MAC80211_LINK_1 Node4_Wphy_LINK_1
		Bind Node4_Wphy_LINK_1 Node4_CM_LINK_1
		Bind Node4_CM_LINK_1 Node4_LINK_1
	EndDefine

	Define port 2
		Module FIFO : Node4_FIFO_LINK_2

			Set Node4_MeshOSPF_0.port2 = Node4_FIFO_LINK_2
			Set Node4_MeshOSPF_0.fixed_net2 = Node4_FIFO_LINK_2.no
			Set Node4_FIFO_LINK_2.recvtarget = Node4_MeshOSPF_0

			Set Node4_FIFO_LINK_2.guitag_ordinary = yes
			Set Node4_FIFO_LINK_2.max_qlen = 50
			Set Node4_FIFO_LINK_2.log_qlen = off
			Set Node4_FIFO_LINK_2.log_option = FullLog
			Set Node4_FIFO_LINK_2.samplerate = 1
			Set Node4_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N4_P2_qlen.log

		Module MNode : Node4_MNode_LINK_2
			Set Node4_MNode_LINK_2.guitag_ordinary = yes
			Set Node4_MNode_LINK_2.OperationMode = AD_HOC
			Set Node4_MNode_LINK_2.ScanMode = ACTIVE_SCAN

		Module MAC80211 : Node4_MAC80211_LINK_2
			Set Node4_MAC80211_LINK_2.guitag_ordinary = yes
			Set Node4_MAC80211_LINK_2.mac = 0:1:0:0:0:9
			Set Node4_MAC80211_LINK_2.PromisOpt = off
			Set Node4_MAC80211_LINK_2.RTS_Threshold = 3000
			Set Node4_MAC80211_LINK_2.log = off
			Set Node4_MAC80211_LINK_2.logInterval = 1
			Set Node4_MAC80211_LINK_2.NumUniInPkt = off
			Set Node4_MAC80211_LINK_2.NumUniOutPkt = off
			Set Node4_MAC80211_LINK_2.NumUniInOutPkt = off
			Set Node4_MAC80211_LINK_2.NumBroInPkt = off
			Set Node4_MAC80211_LINK_2.NumBroOutPkt = off
			Set Node4_MAC80211_LINK_2.NumBroInOutPkt = off
			Set Node4_MAC80211_LINK_2.NumCollision = off
			Set Node4_MAC80211_LINK_2.NumDrop = off
			Set Node4_MAC80211_LINK_2.InThrput = off
			Set Node4_MAC80211_LINK_2.OutThrput = off
			Set Node4_MAC80211_LINK_2.InOutThrput = off
			Set Node4_MAC80211_LINK_2.UniInLogFile = 531MDVB2.80211_N4_P2_UniIn.log
			Set Node4_MAC80211_LINK_2.UniOutLogFile = 531MDVB2.80211_N4_P2_UniOut.log
			Set Node4_MAC80211_LINK_2.UniInOutLogFile = 531MDVB2.80211_N4_P2_UniInOut.log
			Set Node4_MAC80211_LINK_2.BroInLogFile = 531MDVB2.80211_N4_P2_BroIn.log
			Set Node4_MAC80211_LINK_2.BroOutLogFile = 531MDVB2.80211_N4_P2_BroOut.log
			Set Node4_MAC80211_LINK_2.BroInOutLogFile = 531MDVB2.80211_N4_P2_BroInOut.log
			Set Node4_MAC80211_LINK_2.CollLogFile = 531MDVB2.80211_N4_P2_Coll.log
			Set Node4_MAC80211_LINK_2.DropLogFile = 531MDVB2.80211_N4_P2_Drop.log
			Set Node4_MAC80211_LINK_2.InThrputLogFile = 531MDVB2.80211_N4_P2_InThrput.log
			Set Node4_MAC80211_LINK_2.OutThrputLogFile = 531MDVB2.80211_N4_P2_OutThrput.log
			Set Node4_MAC80211_LINK_2.InOutThrputLogFile = 531MDVB2.80211_N4_P2_InOutThrput.log

		Module Wphy : Node4_Wphy_LINK_2
			Set Node4_Wphy_LINK_2.guitag_ordinary = yes
			Set Node4_Wphy_LINK_2.BeamWidth = 360
			Set Node4_Wphy_LINK_2.PointingDirection = 90
			Set Node4_Wphy_LINK_2.AngularSpeed = 0
			Set Node4_Wphy_LINK_2.Bw = 11
			Set Node4_Wphy_LINK_2.channel = 6
			Set Node4_Wphy_LINK_2.freq = 2400
			Set Node4_Wphy_LINK_2.TransPower = 15
			Set Node4_Wphy_LINK_2.CSThresh = -87.57
			Set Node4_Wphy_LINK_2.RXThresh = -73.75
			Set Node4_Wphy_LINK_2.Gain = 1.0
			Set Node4_Wphy_LINK_2.BER = 0.0
			Set Node4_Wphy_LINK_2.log = off
			Set Node4_Wphy_LINK_2.logInterval = 1000
			Set Node4_Wphy_LINK_2.inOpt = off
			Set Node4_Wphy_LINK_2.outOpt = off
			Set Node4_Wphy_LINK_2.inoutOpt = off
			Set Node4_Wphy_LINK_2.logInFileName = 531MDVB2.wphy_N4_P2_inThrput.log
			Set Node4_Wphy_LINK_2.logOutFileName = 531MDVB2.wphy_N4_P2_outThrput.log
			Set Node4_Wphy_LINK_2.logInOutFileName = 531MDVB2.wphy_N4_P2_inoutThrput.log
			Set Node4_Wphy_LINK_2.linkfail = off
			Set Node4_Wphy_LINK_2.linkfailFileName = 531MDVB2.wphy_N4_P2.linkfail

		Module CM : Node4_CM_LINK_2
			Set Node4_CM_LINK_2.guitag_ordinary = yes
			Set Node4_CM_LINK_2.FadingVar = 10.0
			Set Node4_CM_LINK_2.RiceanK = 10.0
			Set Node4_CM_LINK_2.avgHB = 10.0
			Set Node4_CM_LINK_2.avgDist = 80.0
			Set Node4_CM_LINK_2.StreetWidth = 30.0
			Set Node4_CM_LINK_2.PLExp = 2.0
			Set Node4_CM_LINK_2.std_db = 4.0
			Set Node4_CM_LINK_2.dist0 = 1.0
			Set Node4_CM_LINK_2.SystemLoss = 1.0
			Set Node4_CM_LINK_2.antennaHeight = 1.5
			Set Node4_CM_LINK_2.propChannelMode = theoretical
			Set Node4_CM_LINK_2.PLModel = Two_Ray_Ground
			Set Node4_CM_LINK_2.fadingModel = None
			Set Node4_CM_LINK_2.empiricalModel = Suburban_1_9GHz_TB
			Set Node4_CM_LINK_2.AGPOpt = 0
			Set Node4_CM_LINK_2.AGPFileName = null

		Module Link : Node4_LINK_2
			Set Node4_LINK_2.guitag_remotenode = yes


		Bind Node4_FIFO_LINK_2 Node4_MNode_LINK_2
		Bind Node4_MNode_LINK_2 Node4_MAC80211_LINK_2
		Bind Node4_MAC80211_LINK_2 Node4_Wphy_LINK_2
		Bind Node4_Wphy_LINK_2 Node4_CM_LINK_2
		Bind Node4_CM_LINK_2 Node4_LINK_2
	EndDefine

	Define port 3
		Module FIFO : Node4_FIFO_LINK_3

			Set Node4_MeshOSPF_0.port3 = Node4_FIFO_LINK_3
			Set Node4_MeshOSPF_0.fixed_net3 = Node4_FIFO_LINK_3.no
			Set Node4_FIFO_LINK_3.recvtarget = Node4_MeshOSPF_0

			Set Node4_FIFO_LINK_3.guitag_ordinary = yes
			Set Node4_FIFO_LINK_3.max_qlen = 50
			Set Node4_FIFO_LINK_3.log_qlen = off
			Set Node4_FIFO_LINK_3.log_option = FullLog
			Set Node4_FIFO_LINK_3.samplerate = 1
			Set Node4_FIFO_LINK_3.logFileName = 531MDVB2.fifo_N4_P3_qlen.log

		Module MAC8023 : Node4_MAC8023_LINK_3
			Set Node4_MAC8023_LINK_3.guitag_ordinary = yes
			Set Node4_MAC8023_LINK_3.mac = 0:1:0:0:0:7
			Set Node4_MAC8023_LINK_3.PromisOpt = on
			Set Node4_MAC8023_LINK_3.mode = full
			Set Node4_MAC8023_LINK_3.log = off
			Set Node4_MAC8023_LINK_3.logInterval = 1
			Set Node4_MAC8023_LINK_3.NumCollision = off
			Set Node4_MAC8023_LINK_3.NumUniInPkt = off
			Set Node4_MAC8023_LINK_3.NumUniOutPkt = off
			Set Node4_MAC8023_LINK_3.NumUniInOutPkt = off
			Set Node4_MAC8023_LINK_3.NumBroInPkt = off
			Set Node4_MAC8023_LINK_3.NumBroOutPkt = off
			Set Node4_MAC8023_LINK_3.NumBroInOutPkt = off
			Set Node4_MAC8023_LINK_3.NumDrop = off
			Set Node4_MAC8023_LINK_3.InThrput = off
			Set Node4_MAC8023_LINK_3.OutThrput = off
			Set Node4_MAC8023_LINK_3.InOutThrput = off
			Set Node4_MAC8023_LINK_3.UniInLogFile = 531MDVB2.8023_N4_P3_UniIn.log
			Set Node4_MAC8023_LINK_3.UniOutLogFile = 531MDVB2.8023_N4_P3_UniOut.log
			Set Node4_MAC8023_LINK_3.UniInOutLogFile = 531MDVB2.8023_N4_P3_UniInOut.log
			Set Node4_MAC8023_LINK_3.BroInLogFile = 531MDVB2.8023_N4_P3_BroIn.log
			Set Node4_MAC8023_LINK_3.BroOutLogFile = 531MDVB2.8023_N4_P3_BroOut.log
			Set Node4_MAC8023_LINK_3.BroInOutLogFile = 531MDVB2.8023_N4_P3_BroInOut.log
			Set Node4_MAC8023_LINK_3.CollLogFile = 531MDVB2.8023_N4_P3_Coll.log
			Set Node4_MAC8023_LINK_3.DropLogFile = 531MDVB2.8023_N4_P3_Drop.log
			Set Node4_MAC8023_LINK_3.InThrputLogFile = 531MDVB2.8023_N4_P3_InThrput.log
			Set Node4_MAC8023_LINK_3.OutThrputLogFile = 531MDVB2.8023_N4_P3_OutThrput.log
			Set Node4_MAC8023_LINK_3.InOutThrputLogFile = 531MDVB2.8023_N4_P3_InOutThrput.log

		Module Phy : Node4_Phy_LINK_3
			Set Node4_Phy_LINK_3.guitag_ordinary = yes
			Set Node4_Phy_LINK_3.Bw = 10
			Set Node4_Phy_LINK_3.BER = 0.0
			Set Node4_Phy_LINK_3.PropDelay = 1
			Set Node4_Phy_LINK_3.linkfail = off
			Set Node4_Phy_LINK_3.linkfailFileName = 531MDVB2.phy_N4_P3.linkfail

		Module Link : Node4_LINK_3
			Set Node4_LINK_3.guitag_remotenode = yes


		Bind Node4_FIFO_LINK_3 Node4_MAC8023_LINK_3
		Bind Node4_MAC8023_LINK_3 Node4_Phy_LINK_3
		Bind Node4_Phy_LINK_3 Node4_LINK_3
	EndDefine

EndCreate

Create Node 5 as MESHSWITCH with name = MESHSWITCH5
	Module MeshARP : Node5_MeshARP_0
		Set Node5_MeshARP_0.guitag_addport = yes
		Set Node5_MeshARP_0.guitag_ordinary = yes
		Set Node5_MeshARP_0.ip = 1.0.1.1
		Set Node5_MeshARP_0.mac = 0:1:0:0:0:d
		Set Node5_MeshARP_0.ospfport1 = yes
		Set Node5_MeshARP_0.ospfport2 = yes
	Define port 1
		Module FIFO : Node5_FIFO_LINK_1

			Set Node5_MeshARP_0.port1 = Node5_FIFO_LINK_1
			Set Node5_MeshARP_0.fixed_net1 = Node5_FIFO_LINK_1.no
			Set Node5_FIFO_LINK_1.recvtarget = Node5_MeshARP_0

			Set Node5_FIFO_LINK_1.guitag_ordinary = yes
			Set Node5_FIFO_LINK_1.max_qlen = 50
			Set Node5_FIFO_LINK_1.log_qlen = off
			Set Node5_FIFO_LINK_1.log_option = FullLog
			Set Node5_FIFO_LINK_1.samplerate = 1
			Set Node5_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N5_P1_qlen.log

		Module MAC8023 : Node5_MAC8023_LINK_1
			Set Node5_MAC8023_LINK_1.guitag_ordinary = yes
			Set Node5_MAC8023_LINK_1.mac = 0:1:0:0:0:a
			Set Node5_MAC8023_LINK_1.PromisOpt = on
			Set Node5_MAC8023_LINK_1.mode = full
			Set Node5_MAC8023_LINK_1.log = off
			Set Node5_MAC8023_LINK_1.logInterval = 1
			Set Node5_MAC8023_LINK_1.NumCollision = off
			Set Node5_MAC8023_LINK_1.NumUniInPkt = off
			Set Node5_MAC8023_LINK_1.NumUniOutPkt = off
			Set Node5_MAC8023_LINK_1.NumUniInOutPkt = off
			Set Node5_MAC8023_LINK_1.NumBroInPkt = off
			Set Node5_MAC8023_LINK_1.NumBroOutPkt = off
			Set Node5_MAC8023_LINK_1.NumBroInOutPkt = off
			Set Node5_MAC8023_LINK_1.NumDrop = off
			Set Node5_MAC8023_LINK_1.InThrput = off
			Set Node5_MAC8023_LINK_1.OutThrput = off
			Set Node5_MAC8023_LINK_1.InOutThrput = off
			Set Node5_MAC8023_LINK_1.UniInLogFile = 531MDVB2.8023_N5_P1_UniIn.log
			Set Node5_MAC8023_LINK_1.UniOutLogFile = 531MDVB2.8023_N5_P1_UniOut.log
			Set Node5_MAC8023_LINK_1.UniInOutLogFile = 531MDVB2.8023_N5_P1_UniInOut.log
			Set Node5_MAC8023_LINK_1.BroInLogFile = 531MDVB2.8023_N5_P1_BroIn.log
			Set Node5_MAC8023_LINK_1.BroOutLogFile = 531MDVB2.8023_N5_P1_BroOut.log
			Set Node5_MAC8023_LINK_1.BroInOutLogFile = 531MDVB2.8023_N5_P1_BroInOut.log
			Set Node5_MAC8023_LINK_1.CollLogFile = 531MDVB2.8023_N5_P1_Coll.log
			Set Node5_MAC8023_LINK_1.DropLogFile = 531MDVB2.8023_N5_P1_Drop.log
			Set Node5_MAC8023_LINK_1.InThrputLogFile = 531MDVB2.8023_N5_P1_InThrput.log
			Set Node5_MAC8023_LINK_1.OutThrputLogFile = 531MDVB2.8023_N5_P1_OutThrput.log
			Set Node5_MAC8023_LINK_1.InOutThrputLogFile = 531MDVB2.8023_N5_P1_InOutThrput.log

		Module TCPDUMP : Node5_TCPDUMP_LINK_1
			Set Node5_TCPDUMP_LINK_1.guitag_ordinary = yes

		Module Phy : Node5_Phy_LINK_1
			Set Node5_Phy_LINK_1.guitag_ordinary = yes
			Set Node5_Phy_LINK_1.Bw = 10
			Set Node5_Phy_LINK_1.BER = 0.0
			Set Node5_Phy_LINK_1.PropDelay = 1
			Set Node5_Phy_LINK_1.linkfail = off
			Set Node5_Phy_LINK_1.linkfailFileName = 531MDVB2.phy_N5_P1.linkfail

		Module Link : Node5_LINK_1
			Set Node5_LINK_1.guitag_remotenode = yes


		Bind Node5_FIFO_LINK_1 Node5_MAC8023_LINK_1
		Bind Node5_MAC8023_LINK_1 Node5_TCPDUMP_LINK_1
		Bind Node5_TCPDUMP_LINK_1 Node5_Phy_LINK_1
		Bind Node5_Phy_LINK_1 Node5_LINK_1
	EndDefine

	Define port 2
		Module FIFO : Node5_FIFO_LINK_2

			Set Node5_MeshARP_0.port2 = Node5_FIFO_LINK_2
			Set Node5_MeshARP_0.fixed_net2 = Node5_FIFO_LINK_2.no
			Set Node5_FIFO_LINK_2.recvtarget = Node5_MeshARP_0

			Set Node5_FIFO_LINK_2.guitag_ordinary = yes
			Set Node5_FIFO_LINK_2.max_qlen = 50
			Set Node5_FIFO_LINK_2.log_qlen = off
			Set Node5_FIFO_LINK_2.log_option = FullLog
			Set Node5_FIFO_LINK_2.samplerate = 1
			Set Node5_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N5_P2_qlen.log

		Module MAC8023 : Node5_MAC8023_LINK_2
			Set Node5_MAC8023_LINK_2.guitag_ordinary = yes
			Set Node5_MAC8023_LINK_2.mac = 0:1:0:0:0:b
			Set Node5_MAC8023_LINK_2.PromisOpt = on
			Set Node5_MAC8023_LINK_2.mode = full
			Set Node5_MAC8023_LINK_2.log = off
			Set Node5_MAC8023_LINK_2.logInterval = 1
			Set Node5_MAC8023_LINK_2.NumCollision = off
			Set Node5_MAC8023_LINK_2.NumUniInPkt = off
			Set Node5_MAC8023_LINK_2.NumUniOutPkt = off
			Set Node5_MAC8023_LINK_2.NumUniInOutPkt = off
			Set Node5_MAC8023_LINK_2.NumBroInPkt = off
			Set Node5_MAC8023_LINK_2.NumBroOutPkt = off
			Set Node5_MAC8023_LINK_2.NumBroInOutPkt = off
			Set Node5_MAC8023_LINK_2.NumDrop = off
			Set Node5_MAC8023_LINK_2.InThrput = off
			Set Node5_MAC8023_LINK_2.OutThrput = off
			Set Node5_MAC8023_LINK_2.InOutThrput = off
			Set Node5_MAC8023_LINK_2.UniInLogFile = 531MDVB2.8023_N5_P2_UniIn.log
			Set Node5_MAC8023_LINK_2.UniOutLogFile = 531MDVB2.8023_N5_P2_UniOut.log
			Set Node5_MAC8023_LINK_2.UniInOutLogFile = 531MDVB2.8023_N5_P2_UniInOut.log
			Set Node5_MAC8023_LINK_2.BroInLogFile = 531MDVB2.8023_N5_P2_BroIn.log
			Set Node5_MAC8023_LINK_2.BroOutLogFile = 531MDVB2.8023_N5_P2_BroOut.log
			Set Node5_MAC8023_LINK_2.BroInOutLogFile = 531MDVB2.8023_N5_P2_BroInOut.log
			Set Node5_MAC8023_LINK_2.CollLogFile = 531MDVB2.8023_N5_P2_Coll.log
			Set Node5_MAC8023_LINK_2.DropLogFile = 531MDVB2.8023_N5_P2_Drop.log
			Set Node5_MAC8023_LINK_2.InThrputLogFile = 531MDVB2.8023_N5_P2_InThrput.log
			Set Node5_MAC8023_LINK_2.OutThrputLogFile = 531MDVB2.8023_N5_P2_OutThrput.log
			Set Node5_MAC8023_LINK_2.InOutThrputLogFile = 531MDVB2.8023_N5_P2_InOutThrput.log

		Module TCPDUMP : Node5_TCPDUMP_LINK_2
			Set Node5_TCPDUMP_LINK_2.guitag_ordinary = yes

		Module Phy : Node5_Phy_LINK_2
			Set Node5_Phy_LINK_2.guitag_ordinary = yes
			Set Node5_Phy_LINK_2.Bw = 10
			Set Node5_Phy_LINK_2.BER = 0.0
			Set Node5_Phy_LINK_2.PropDelay = 1
			Set Node5_Phy_LINK_2.linkfail = off
			Set Node5_Phy_LINK_2.linkfailFileName = 531MDVB2.phy_N5_P2.linkfail

		Module Link : Node5_LINK_2
			Set Node5_LINK_2.guitag_remotenode = yes


		Bind Node5_FIFO_LINK_2 Node5_MAC8023_LINK_2
		Bind Node5_MAC8023_LINK_2 Node5_TCPDUMP_LINK_2
		Bind Node5_TCPDUMP_LINK_2 Node5_Phy_LINK_2
		Bind Node5_Phy_LINK_2 Node5_LINK_2
	EndDefine

	Define port 3
		Module FIFO : Node5_FIFO_LINK_3

			Set Node5_MeshARP_0.port3 = Node5_FIFO_LINK_3
			Set Node5_MeshARP_0.fixed_net3 = Node5_FIFO_LINK_3.yes
			Set Node5_FIFO_LINK_3.recvtarget = Node5_MeshARP_0

			Set Node5_FIFO_LINK_3.guitag_ordinary = yes
			Set Node5_FIFO_LINK_3.max_qlen = 50
			Set Node5_FIFO_LINK_3.log_qlen = off
			Set Node5_FIFO_LINK_3.log_option = FullLog
			Set Node5_FIFO_LINK_3.samplerate = 1
			Set Node5_FIFO_LINK_3.logFileName = 531MDVB2.fifo_N5_P3_qlen.log

		Module MAC8023 : Node5_MAC8023_LINK_3
			Set Node5_MAC8023_LINK_3.guitag_ordinary = yes
			Set Node5_MAC8023_LINK_3.mac = 0:1:0:0:0:c
			Set Node5_MAC8023_LINK_3.PromisOpt = on
			Set Node5_MAC8023_LINK_3.mode = full
			Set Node5_MAC8023_LINK_3.log = off
			Set Node5_MAC8023_LINK_3.logInterval = 1
			Set Node5_MAC8023_LINK_3.NumCollision = off
			Set Node5_MAC8023_LINK_3.NumUniInPkt = off
			Set Node5_MAC8023_LINK_3.NumUniOutPkt = off
			Set Node5_MAC8023_LINK_3.NumUniInOutPkt = off
			Set Node5_MAC8023_LINK_3.NumBroInPkt = off
			Set Node5_MAC8023_LINK_3.NumBroOutPkt = off
			Set Node5_MAC8023_LINK_3.NumBroInOutPkt = off
			Set Node5_MAC8023_LINK_3.NumDrop = off
			Set Node5_MAC8023_LINK_3.InThrput = off
			Set Node5_MAC8023_LINK_3.OutThrput = off
			Set Node5_MAC8023_LINK_3.InOutThrput = off
			Set Node5_MAC8023_LINK_3.UniInLogFile = 531MDVB2.8023_N5_P3_UniIn.log
			Set Node5_MAC8023_LINK_3.UniOutLogFile = 531MDVB2.8023_N5_P3_UniOut.log
			Set Node5_MAC8023_LINK_3.UniInOutLogFile = 531MDVB2.8023_N5_P3_UniInOut.log
			Set Node5_MAC8023_LINK_3.BroInLogFile = 531MDVB2.8023_N5_P3_BroIn.log
			Set Node5_MAC8023_LINK_3.BroOutLogFile = 531MDVB2.8023_N5_P3_BroOut.log
			Set Node5_MAC8023_LINK_3.BroInOutLogFile = 531MDVB2.8023_N5_P3_BroInOut.log
			Set Node5_MAC8023_LINK_3.CollLogFile = 531MDVB2.8023_N5_P3_Coll.log
			Set Node5_MAC8023_LINK_3.DropLogFile = 531MDVB2.8023_N5_P3_Drop.log
			Set Node5_MAC8023_LINK_3.InThrputLogFile = 531MDVB2.8023_N5_P3_InThrput.log
			Set Node5_MAC8023_LINK_3.OutThrputLogFile = 531MDVB2.8023_N5_P3_OutThrput.log
			Set Node5_MAC8023_LINK_3.InOutThrputLogFile = 531MDVB2.8023_N5_P3_InOutThrput.log

		Module TCPDUMP : Node5_TCPDUMP_LINK_3
			Set Node5_TCPDUMP_LINK_3.guitag_ordinary = yes

		Module Phy : Node5_Phy_LINK_3
			Set Node5_Phy_LINK_3.guitag_ordinary = yes
			Set Node5_Phy_LINK_3.Bw = 10
			Set Node5_Phy_LINK_3.BER = 0.0
			Set Node5_Phy_LINK_3.PropDelay = 1
			Set Node5_Phy_LINK_3.linkfail = off
			Set Node5_Phy_LINK_3.linkfailFileName = 531MDVB2.phy_N5_P3.linkfail

		Module Link : Node5_LINK_3
			Set Node5_LINK_3.guitag_remotenode = yes


		Bind Node5_FIFO_LINK_3 Node5_MAC8023_LINK_3
		Bind Node5_MAC8023_LINK_3 Node5_TCPDUMP_LINK_3
		Bind Node5_TCPDUMP_LINK_3 Node5_Phy_LINK_3
		Bind Node5_Phy_LINK_3 Node5_LINK_3
	EndDefine

EndCreate

Create Node 6 as ROUTER with name = ROUTER6
	Define port 1
		Module Interface : Node6_Interface_LINK_1
			Set Node6_Interface_LINK_1.guitag_ordinary = yes
			Set Node6_Interface_LINK_1.ip = 1.0.1.1
			Set Node6_Interface_LINK_1.netmask = 255.255.255.0

		Module ARP : Node6_ARP_LINK_1
			Set Node6_ARP_LINK_1.guitag_ordinary = yes
			Set Node6_ARP_LINK_1.arpMode = RunARP
			Set Node6_ARP_LINK_1.flushInterval = 3000
			Set Node6_ARP_LINK_1.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node6_FIFO_LINK_1
			Set Node6_FIFO_LINK_1.guitag_ordinary = yes
			Set Node6_FIFO_LINK_1.max_qlen = 50
			Set Node6_FIFO_LINK_1.log_qlen = off
			Set Node6_FIFO_LINK_1.log_option = FullLog
			Set Node6_FIFO_LINK_1.samplerate = 1
			Set Node6_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N6_P1_qlen.log

		Module MAC8023 : Node6_MAC8023_LINK_1
			Set Node6_MAC8023_LINK_1.guitag_ordinary = yes
			Set Node6_MAC8023_LINK_1.mac = 0:1:0:0:0:d
			Set Node6_MAC8023_LINK_1.PromisOpt = off
			Set Node6_MAC8023_LINK_1.mode = full
			Set Node6_MAC8023_LINK_1.log = off
			Set Node6_MAC8023_LINK_1.logInterval = 1
			Set Node6_MAC8023_LINK_1.NumCollision = off
			Set Node6_MAC8023_LINK_1.NumUniInPkt = off
			Set Node6_MAC8023_LINK_1.NumUniOutPkt = off
			Set Node6_MAC8023_LINK_1.NumUniInOutPkt = off
			Set Node6_MAC8023_LINK_1.NumBroInPkt = off
			Set Node6_MAC8023_LINK_1.NumBroOutPkt = off
			Set Node6_MAC8023_LINK_1.NumBroInOutPkt = off
			Set Node6_MAC8023_LINK_1.NumDrop = off
			Set Node6_MAC8023_LINK_1.InThrput = off
			Set Node6_MAC8023_LINK_1.OutThrput = off
			Set Node6_MAC8023_LINK_1.InOutThrput = off
			Set Node6_MAC8023_LINK_1.UniInLogFile = 531MDVB2.8023_N6_P1_UniIn.log
			Set Node6_MAC8023_LINK_1.UniOutLogFile = 531MDVB2.8023_N6_P1_UniOut.log
			Set Node6_MAC8023_LINK_1.UniInOutLogFile = 531MDVB2.8023_N6_P1_UniInOut.log
			Set Node6_MAC8023_LINK_1.BroInLogFile = 531MDVB2.8023_N6_P1_BroIn.log
			Set Node6_MAC8023_LINK_1.BroOutLogFile = 531MDVB2.8023_N6_P1_BroOut.log
			Set Node6_MAC8023_LINK_1.BroInOutLogFile = 531MDVB2.8023_N6_P1_BroInOut.log
			Set Node6_MAC8023_LINK_1.CollLogFile = 531MDVB2.8023_N6_P1_Coll.log
			Set Node6_MAC8023_LINK_1.DropLogFile = 531MDVB2.8023_N6_P1_Drop.log
			Set Node6_MAC8023_LINK_1.InThrputLogFile = 531MDVB2.8023_N6_P1_InThrput.log
			Set Node6_MAC8023_LINK_1.OutThrputLogFile = 531MDVB2.8023_N6_P1_OutThrput.log
			Set Node6_MAC8023_LINK_1.InOutThrputLogFile = 531MDVB2.8023_N6_P1_InOutThrput.log

		Module TCPDUMP : Node6_TCPDUMP_LINK_1
			Set Node6_TCPDUMP_LINK_1.guitag_ordinary = yes

		Module Phy : Node6_Phy_LINK_1
			Set Node6_Phy_LINK_1.guitag_ordinary = yes
			Set Node6_Phy_LINK_1.Bw = 10
			Set Node6_Phy_LINK_1.BER = 0.0
			Set Node6_Phy_LINK_1.PropDelay = 1
			Set Node6_Phy_LINK_1.linkfail = off
			Set Node6_Phy_LINK_1.linkfailFileName = 531MDVB2.phy_N6_P1.linkfail

		Module Link : Node6_LINK_1
			Set Node6_LINK_1.guitag_remotenode = yes


		Bind Node6_Interface_LINK_1 Node6_ARP_LINK_1
		Bind Node6_ARP_LINK_1 Node6_FIFO_LINK_1
		Bind Node6_FIFO_LINK_1 Node6_MAC8023_LINK_1
		Bind Node6_MAC8023_LINK_1 Node6_TCPDUMP_LINK_1
		Bind Node6_TCPDUMP_LINK_1 Node6_Phy_LINK_1
		Bind Node6_Phy_LINK_1 Node6_LINK_1
	EndDefine

	Define port 2
		Module Interface : Node6_Interface_LINK_2
			Set Node6_Interface_LINK_2.guitag_ordinary = yes
			Set Node6_Interface_LINK_2.ip = 1.0.2.1
			Set Node6_Interface_LINK_2.netmask = 255.255.255.0

		Module ARP : Node6_ARP_LINK_2
			Set Node6_ARP_LINK_2.guitag_ordinary = yes
			Set Node6_ARP_LINK_2.arpMode = RunARP
			Set Node6_ARP_LINK_2.flushInterval = 3000
			Set Node6_ARP_LINK_2.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node6_FIFO_LINK_2
			Set Node6_FIFO_LINK_2.guitag_ordinary = yes
			Set Node6_FIFO_LINK_2.max_qlen = 50
			Set Node6_FIFO_LINK_2.log_qlen = off
			Set Node6_FIFO_LINK_2.log_option = FullLog
			Set Node6_FIFO_LINK_2.samplerate = 1
			Set Node6_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N6_P2_qlen.log

		Module MAC8023 : Node6_MAC8023_LINK_2
			Set Node6_MAC8023_LINK_2.guitag_ordinary = yes
			Set Node6_MAC8023_LINK_2.mac = 0:1:0:0:0:e
			Set Node6_MAC8023_LINK_2.PromisOpt = off
			Set Node6_MAC8023_LINK_2.mode = full
			Set Node6_MAC8023_LINK_2.log = off
			Set Node6_MAC8023_LINK_2.logInterval = 1
			Set Node6_MAC8023_LINK_2.NumCollision = off
			Set Node6_MAC8023_LINK_2.NumUniInPkt = off
			Set Node6_MAC8023_LINK_2.NumUniOutPkt = off
			Set Node6_MAC8023_LINK_2.NumUniInOutPkt = off
			Set Node6_MAC8023_LINK_2.NumBroInPkt = off
			Set Node6_MAC8023_LINK_2.NumBroOutPkt = off
			Set Node6_MAC8023_LINK_2.NumBroInOutPkt = off
			Set Node6_MAC8023_LINK_2.NumDrop = off
			Set Node6_MAC8023_LINK_2.InThrput = off
			Set Node6_MAC8023_LINK_2.OutThrput = off
			Set Node6_MAC8023_LINK_2.InOutThrput = off
			Set Node6_MAC8023_LINK_2.UniInLogFile = 531MDVB2.8023_N6_P2_UniIn.log
			Set Node6_MAC8023_LINK_2.UniOutLogFile = 531MDVB2.8023_N6_P2_UniOut.log
			Set Node6_MAC8023_LINK_2.UniInOutLogFile = 531MDVB2.8023_N6_P2_UniInOut.log
			Set Node6_MAC8023_LINK_2.BroInLogFile = 531MDVB2.8023_N6_P2_BroIn.log
			Set Node6_MAC8023_LINK_2.BroOutLogFile = 531MDVB2.8023_N6_P2_BroOut.log
			Set Node6_MAC8023_LINK_2.BroInOutLogFile = 531MDVB2.8023_N6_P2_BroInOut.log
			Set Node6_MAC8023_LINK_2.CollLogFile = 531MDVB2.8023_N6_P2_Coll.log
			Set Node6_MAC8023_LINK_2.DropLogFile = 531MDVB2.8023_N6_P2_Drop.log
			Set Node6_MAC8023_LINK_2.InThrputLogFile = 531MDVB2.8023_N6_P2_InThrput.log
			Set Node6_MAC8023_LINK_2.OutThrputLogFile = 531MDVB2.8023_N6_P2_OutThrput.log
			Set Node6_MAC8023_LINK_2.InOutThrputLogFile = 531MDVB2.8023_N6_P2_InOutThrput.log

		Module TCPDUMP : Node6_TCPDUMP_LINK_2
			Set Node6_TCPDUMP_LINK_2.guitag_ordinary = yes

		Module Phy : Node6_Phy_LINK_2
			Set Node6_Phy_LINK_2.guitag_ordinary = yes
			Set Node6_Phy_LINK_2.Bw = 10
			Set Node6_Phy_LINK_2.BER = 0.0
			Set Node6_Phy_LINK_2.PropDelay = 1
			Set Node6_Phy_LINK_2.linkfail = off
			Set Node6_Phy_LINK_2.linkfailFileName = 531MDVB2.phy_N6_P2.linkfail

		Module Link : Node6_LINK_2
			Set Node6_LINK_2.guitag_remotenode = yes


		Bind Node6_Interface_LINK_2 Node6_ARP_LINK_2
		Bind Node6_ARP_LINK_2 Node6_FIFO_LINK_2
		Bind Node6_FIFO_LINK_2 Node6_MAC8023_LINK_2
		Bind Node6_MAC8023_LINK_2 Node6_TCPDUMP_LINK_2
		Bind Node6_TCPDUMP_LINK_2 Node6_Phy_LINK_2
		Bind Node6_Phy_LINK_2 Node6_LINK_2
	EndDefine

EndCreate

Create Node 7 as DVB_RCS_SAT with name = SAT
	Define port 1
		Module DVBS2_SAT : Node7_DVBS2_SAT_LINK_1
			Set Node7_DVBS2_SAT_LINK_1.guitag_ordinary = yes
			Set Node7_DVBS2_SAT_LINK_1.tx_fwd_Power = 10
			Set Node7_DVBS2_SAT_LINK_1.tx_fwd_SatAnteLength = 0.8
			Set Node7_DVBS2_SAT_LINK_1.tx_fwd_SatAnteEfficient = 0.55
			Set Node7_DVBS2_SAT_LINK_1.rx_fwd_SatAnteLength = 0.8
			Set Node7_DVBS2_SAT_LINK_1.rx_fwd_SatAnteEfficient = 0.51
			Set Node7_DVBS2_SAT_LINK_1.tx_ret_Power = 10
			Set Node7_DVBS2_SAT_LINK_1.tx_ret_SatAnteLength = 0.8
			Set Node7_DVBS2_SAT_LINK_1.tx_ret_SatAnteEfficient = 0.55
			Set Node7_DVBS2_SAT_LINK_1.rx_ret_SatAnteLength = 0.8
			Set Node7_DVBS2_SAT_LINK_1.rx_ret_SatAnteEfficient = 0.51
			Set Node7_DVBS2_SAT_LINK_1.linkfail = off
			Set Node7_DVBS2_SAT_LINK_1.linkfailFileName = 531MDVB2.Dvbs2_sat_N7_P1.linkfail

		Module Link : Node7_LINK_1
			Set Node7_LINK_1.guitag_remotenode = yes


		Bind Node7_DVBS2_SAT_LINK_1 Node7_LINK_1
	EndDefine

EndCreate

Create Node 8 as DVB_RCS_FEEDER with name = FEEDER
	Define port 1
		Module DVB_S2_FEEDER : Node8_DVB_S2_FEEDER_LINK_1
			Set Node8_DVB_S2_FEEDER_LINK_1.guitag_ordinary = yes
			Set Node8_DVB_S2_FEEDER_LINK_1.InterfaceNumber = 1
			Set Node8_DVB_S2_FEEDER_LINK_1.BufferSize = 20000000
			Set Node8_DVB_S2_FEEDER_LINK_1.SymbolRate = 8
			Set Node8_DVB_S2_FEEDER_LINK_1.Power = 10
			Set Node8_DVB_S2_FEEDER_LINK_1.GSAnteLength = 13
			Set Node8_DVB_S2_FEEDER_LINK_1.GSAnteEfficiency = 0.68
			Set Node8_DVB_S2_FEEDER_LINK_1.linkfail = off
			Set Node8_DVB_S2_FEEDER_LINK_1.linkfailFileName = 531MDVB2.Dvb_s2_feeder_N8_P1.linkfail
			Set Node8_DVB_S2_FEEDER_LINK_1.rainfade_option = Default
			Set Node8_DVB_S2_FEEDER_LINK_1.RainFade = 10
			Set Node8_DVB_S2_FEEDER_LINK_1.Antenna_angle = 89
			Set Node8_DVB_S2_FEEDER_LINK_1.taur = 0
			Set Node8_DVB_S2_FEEDER_LINK_1.RainHeight = 3
			Set Node8_DVB_S2_FEEDER_LINK_1.EarthStationHeight = 0.07
			Set Node8_DVB_S2_FEEDER_LINK_1.Latitude = 24
			Set Node8_DVB_S2_FEEDER_LINK_1.Rainrate = 50

		Module Link : Node8_LINK_1
			Set Node8_LINK_1.guitag_remotenode = yes


		Bind Node8_DVB_S2_FEEDER_LINK_1 Node8_LINK_1
	EndDefine

	Define port 2
		Module Link : Node8_LINK_2
			Set Node8_LINK_2.guitag_remotenode = yes


	EndDefine

EndCreate

Create Node 9 as DVB_RCS_GATEWAY with name = GATEWAY
	Define port 1
		Module DVB_RCS_GW : Node9_DVB_RCS_GW_LINK_1
			Set Node9_DVB_RCS_GW_LINK_1.guitag_ordinary = yes
			Set Node9_DVB_RCS_GW_LINK_1.GSAnteLength = 13
			Set Node9_DVB_RCS_GW_LINK_1.GSAnteEfficiency = 0.68
			Set Node9_DVB_RCS_GW_LINK_1.linkfail = off
			Set Node9_DVB_RCS_GW_LINK_1.linkfailFileName = 531MDVB2.Dvb_rcs_gw_N9_P1.linkfail
			Set Node9_DVB_RCS_GW_LINK_1.rainfade_option = Default
			Set Node9_DVB_RCS_GW_LINK_1.RainFade = 10
			Set Node9_DVB_RCS_GW_LINK_1.Antenna_angle = 89
			Set Node9_DVB_RCS_GW_LINK_1.taur = 0
			Set Node9_DVB_RCS_GW_LINK_1.RainHeight = 3.1
			Set Node9_DVB_RCS_GW_LINK_1.EarthStationHeight = 0.07
			Set Node9_DVB_RCS_GW_LINK_1.Latitude = 24
			Set Node9_DVB_RCS_GW_LINK_1.Rainrate = 50

		Module Link : Node9_LINK_1
			Set Node9_LINK_1.guitag_remotenode = yes


		Bind Node9_DVB_RCS_GW_LINK_1 Node9_LINK_1
	EndDefine

	Define port 2
		Module Link : Node9_LINK_2
			Set Node9_LINK_2.guitag_remotenode = yes


	EndDefine

EndCreate

Create Node 10 as DVB_RCS_NCC with name = NCC
	Define port 1
		Module NCC_CTL : Node10_NCC_CTL_LINK_1
			Set Node10_NCC_CTL_LINK_1.guitag_ordinary = yes

		Module RCS_MAC_NCC : Node10_RCS_MAC_NCC_LINK_1
			Set Node10_RCS_MAC_NCC_LINK_1.guitag_ordinary = yes

		Module SECTION : Node10_SECTION_LINK_1
			Set Node10_SECTION_LINK_1.guitag_ordinary = yes

		Module MPEG2_TS_NCC : Node10_MPEG2_TS_NCC_LINK_1
			Set Node10_MPEG2_TS_NCC_LINK_1.guitag_ordinary = yes

		Module Link : Node10_LINK_1
			Set Node10_LINK_1.guitag_remotenode = yes


		Bind Node10_NCC_CTL_LINK_1 Node10_RCS_MAC_NCC_LINK_1
		Bind Node10_RCS_MAC_NCC_LINK_1 Node10_SECTION_LINK_1
		Bind Node10_SECTION_LINK_1 Node10_MPEG2_TS_NCC_LINK_1
		Bind Node10_MPEG2_TS_NCC_LINK_1 Node10_LINK_1
	EndDefine

EndCreate

Create Node 11 as DVB_RCS_SP with name = SP
	Define port 1
		Module Interface : Node11_Interface_LINK_1
			Set Node11_Interface_LINK_1.guitag_ordinary = yes
			Set Node11_Interface_LINK_1.ip = 1.0.2.2
			Set Node11_Interface_LINK_1.netmask = 255.255.255.0

		Module ARP : Node11_ARP_LINK_1
			Set Node11_ARP_LINK_1.guitag_ordinary = yes
			Set Node11_ARP_LINK_1.arpMode = RunARP
			Set Node11_ARP_LINK_1.flushInterval = 3000
			Set Node11_ARP_LINK_1.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node11_FIFO_LINK_1
			Set Node11_FIFO_LINK_1.guitag_ordinary = yes
			Set Node11_FIFO_LINK_1.max_qlen = 50
			Set Node11_FIFO_LINK_1.log_qlen = off
			Set Node11_FIFO_LINK_1.log_option = FullLog
			Set Node11_FIFO_LINK_1.samplerate = 1
			Set Node11_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N11_P1_qlen.log

		Module MAC8023 : Node11_MAC8023_LINK_1
			Set Node11_MAC8023_LINK_1.guitag_ordinary = yes
			Set Node11_MAC8023_LINK_1.mac = 0:1:0:0:0:f
			Set Node11_MAC8023_LINK_1.PromisOpt = off
			Set Node11_MAC8023_LINK_1.mode = full
			Set Node11_MAC8023_LINK_1.log = off
			Set Node11_MAC8023_LINK_1.logInterval = 1
			Set Node11_MAC8023_LINK_1.NumCollision = off
			Set Node11_MAC8023_LINK_1.NumUniInPkt = off
			Set Node11_MAC8023_LINK_1.NumUniOutPkt = off
			Set Node11_MAC8023_LINK_1.NumUniInOutPkt = off
			Set Node11_MAC8023_LINK_1.NumBroInPkt = off
			Set Node11_MAC8023_LINK_1.NumBroOutPkt = off
			Set Node11_MAC8023_LINK_1.NumBroInOutPkt = off
			Set Node11_MAC8023_LINK_1.NumDrop = off
			Set Node11_MAC8023_LINK_1.InThrput = off
			Set Node11_MAC8023_LINK_1.OutThrput = off
			Set Node11_MAC8023_LINK_1.InOutThrput = off
			Set Node11_MAC8023_LINK_1.UniInLogFile = 531MDVB2.8023_N11_P1_UniIn.log
			Set Node11_MAC8023_LINK_1.UniOutLogFile = 531MDVB2.8023_N11_P1_UniOut.log
			Set Node11_MAC8023_LINK_1.UniInOutLogFile = 531MDVB2.8023_N11_P1_UniInOut.log
			Set Node11_MAC8023_LINK_1.BroInLogFile = 531MDVB2.8023_N11_P1_BroIn.log
			Set Node11_MAC8023_LINK_1.BroOutLogFile = 531MDVB2.8023_N11_P1_BroOut.log
			Set Node11_MAC8023_LINK_1.BroInOutLogFile = 531MDVB2.8023_N11_P1_BroInOut.log
			Set Node11_MAC8023_LINK_1.CollLogFile = 531MDVB2.8023_N11_P1_Coll.log
			Set Node11_MAC8023_LINK_1.DropLogFile = 531MDVB2.8023_N11_P1_Drop.log
			Set Node11_MAC8023_LINK_1.InThrputLogFile = 531MDVB2.8023_N11_P1_InThrput.log
			Set Node11_MAC8023_LINK_1.OutThrputLogFile = 531MDVB2.8023_N11_P1_OutThrput.log
			Set Node11_MAC8023_LINK_1.InOutThrputLogFile = 531MDVB2.8023_N11_P1_InOutThrput.log

		Module TCPDUMP : Node11_TCPDUMP_LINK_1
			Set Node11_TCPDUMP_LINK_1.guitag_ordinary = yes

		Module Phy : Node11_Phy_LINK_1
			Set Node11_Phy_LINK_1.guitag_ordinary = yes
			Set Node11_Phy_LINK_1.Bw = 10
			Set Node11_Phy_LINK_1.BER = 0.0
			Set Node11_Phy_LINK_1.PropDelay = 1
			Set Node11_Phy_LINK_1.linkfail = off
			Set Node11_Phy_LINK_1.linkfailFileName = 531MDVB2.phy_N11_P1.linkfail

		Module Link : Node11_LINK_1
			Set Node11_LINK_1.guitag_remotenode = yes


		Bind Node11_Interface_LINK_1 Node11_ARP_LINK_1
		Bind Node11_ARP_LINK_1 Node11_FIFO_LINK_1
		Bind Node11_FIFO_LINK_1 Node11_MAC8023_LINK_1
		Bind Node11_MAC8023_LINK_1 Node11_TCPDUMP_LINK_1
		Bind Node11_TCPDUMP_LINK_1 Node11_Phy_LINK_1
		Bind Node11_Phy_LINK_1 Node11_LINK_1
	EndDefine

	Define port 2
		Module Interface : Node11_Interface_LINK_2
			Set Node11_Interface_LINK_2.guitag_ordinary = yes
			Set Node11_Interface_LINK_2.ip = 1.0.3.1
			Set Node11_Interface_LINK_2.netmask = 255.255.255.0

		Module SP_CTL : Node11_SP_CTL_LINK_2
			Set Node11_SP_CTL_LINK_2.guitag_ordinary = yes
			Set Node11_SP_CTL_LINK_2.macaddr = 0:0:0:0:0:11

		Module RCS_ATM_SP : Node11_RCS_ATM_SP_LINK_2
			Set Node11_RCS_ATM_SP_LINK_2.guitag_ordinary = yes

		Module RCS_MAC_SP : Node11_RCS_MAC_SP_LINK_2
			Set Node11_RCS_MAC_SP_LINK_2.guitag_ordinary = yes

		Module MPE : Node11_MPE_LINK_2
			Set Node11_MPE_LINK_2.guitag_ordinary = yes

		Module SECTION : Node11_SECTION_LINK_2
			Set Node11_SECTION_LINK_2.guitag_ordinary = yes

		Module MPEG2_TS_SP : Node11_MPEG2_TS_SP_LINK_2
			Set Node11_MPEG2_TS_SP_LINK_2.guitag_ordinary = yes

		Module Link : Node11_LINK_2
			Set Node11_LINK_2.guitag_remotenode = yes


		Bind Node11_Interface_LINK_2 Node11_SP_CTL_LINK_2
		Bind Node11_SP_CTL_LINK_2 Node11_RCS_ATM_SP_LINK_2
		Bind Node11_RCS_ATM_SP_LINK_2 Node11_RCS_MAC_SP_LINK_2
		Bind Node11_RCS_MAC_SP_LINK_2 Node11_MPE_LINK_2
		Bind Node11_MPE_LINK_2 Node11_SECTION_LINK_2
		Bind Node11_SECTION_LINK_2 Node11_MPEG2_TS_SP_LINK_2
		Bind Node11_MPEG2_TS_SP_LINK_2 Node11_LINK_2
	EndDefine

EndCreate

Create Node 12 as DVB_RCS_RCST with name = RCST_12
	Define port 1
		Module Interface : Node12_Interface_LINK_1
			Set Node12_Interface_LINK_1.guitag_ordinary = yes
			Set Node12_Interface_LINK_1.ip = 1.0.3.2
			Set Node12_Interface_LINK_1.netmask = 255.255.255.0

		Module RCST_CTL : Node12_RCST_CTL_LINK_1
			Set Node12_RCST_CTL_LINK_1.guitag_ordinary = yes

		Module RCS_ATM_RCST : Node12_RCS_ATM_RCST_LINK_1
			Set Node12_RCS_ATM_RCST_LINK_1.guitag_ordinary = yes

		Module RCS_MAC_RCST : Node12_RCS_MAC_RCST_LINK_1
			Set Node12_RCS_MAC_RCST_LINK_1.guitag_ordinary = yes
			Set Node12_RCS_MAC_RCST_LINK_1.mac = 0:1:0:0:0:12

		Module DVB_RCS_RCST : Node12_DVB_RCS_RCST_LINK_1
			Set Node12_DVB_RCS_RCST_LINK_1.guitag_ordinary = yes
			Set Node12_DVB_RCS_RCST_LINK_1.Power = 10
			Set Node12_DVB_RCS_RCST_LINK_1.GSAnteLength = 13
			Set Node12_DVB_RCS_RCST_LINK_1.GSAnteEfficiency = 0.68
			Set Node12_DVB_RCS_RCST_LINK_1.linkfail = off
			Set Node12_DVB_RCS_RCST_LINK_1.linkfailFileName = 531MDVB2.Dvb_rcs_rcst_N12_P1.linkfail
			Set Node12_DVB_RCS_RCST_LINK_1.rainfade_option = Default
			Set Node12_DVB_RCS_RCST_LINK_1.RainFade = 10
			Set Node12_DVB_RCS_RCST_LINK_1.Antenna_angle = 89
			Set Node12_DVB_RCS_RCST_LINK_1.taur = 0
			Set Node12_DVB_RCS_RCST_LINK_1.RainHeight = 3.1
			Set Node12_DVB_RCS_RCST_LINK_1.EarthStationHeight = 0.07
			Set Node12_DVB_RCS_RCST_LINK_1.Latitude = 24
			Set Node12_DVB_RCS_RCST_LINK_1.Rainrate = 50

		Module MPE : Node12_MPE_LINK_1
			Set Node12_MPE_LINK_1.guitag_ordinary = yes

		Module SECTION : Node12_SECTION_LINK_1
			Set Node12_SECTION_LINK_1.guitag_ordinary = yes

		Module MPEG2_TS_RCST : Node12_MPEG2_TS_RCST_LINK_1
			Set Node12_MPEG2_TS_RCST_LINK_1.guitag_ordinary = yes

		Module DVB_S2_RCST : Node12_DVB_S2_RCST_LINK_1
			Set Node12_DVB_S2_RCST_LINK_1.guitag_ordinary = yes
			Set Node12_DVB_S2_RCST_LINK_1.InterfaceNumber = 1
			Set Node12_DVB_S2_RCST_LINK_1.LDPCIterationThreshold = 1
			Set Node12_DVB_S2_RCST_LINK_1.GSAnteLength = 13
			Set Node12_DVB_S2_RCST_LINK_1.GSAnteEfficiency = 0.68
			Set Node12_DVB_S2_RCST_LINK_1.linkfail = off
			Set Node12_DVB_S2_RCST_LINK_1.linkfailFileName = 531MDVB2.Dvb_s2_rcst_N12_P1.linkfail
			Set Node12_DVB_S2_RCST_LINK_1.rainfade_option = Default
			Set Node12_DVB_S2_RCST_LINK_1.RainFade = 10
			Set Node12_DVB_S2_RCST_LINK_1.Antenna_angle = 89
			Set Node12_DVB_S2_RCST_LINK_1.taur = 0
			Set Node12_DVB_S2_RCST_LINK_1.RainHeight = 3.1
			Set Node12_DVB_S2_RCST_LINK_1.EarthStationHeight = 0.07
			Set Node12_DVB_S2_RCST_LINK_1.Latitude = 24
			Set Node12_DVB_S2_RCST_LINK_1.Rainrate = 50

		Module Link : Node12_LINK_1
			Set Node12_LINK_1.guitag_remotenode = yes


		Bind Node12_Interface_LINK_1 Node12_RCST_CTL_LINK_1
		Bind Node12_RCST_CTL_LINK_1 Node12_RCS_ATM_RCST_LINK_1
		Bind Node12_RCS_ATM_RCST_LINK_1 Node12_RCS_MAC_RCST_LINK_1
		Bind Node12_RCS_MAC_RCST_LINK_1 Node12_DVB_RCS_RCST_LINK_1
		Bind Node12_DVB_RCS_RCST_LINK_1 Node12_MPE_LINK_1
		Bind Node12_MPE_LINK_1 Node12_SECTION_LINK_1
		Bind Node12_SECTION_LINK_1 Node12_MPEG2_TS_RCST_LINK_1
		Bind Node12_MPEG2_TS_RCST_LINK_1 Node12_DVB_S2_RCST_LINK_1
		Bind Node12_DVB_S2_RCST_LINK_1 Node12_LINK_1
	EndDefine

	Define port 2
		Module Interface : Node12_Interface_LINK_2
			Set Node12_Interface_LINK_2.guitag_ordinary = yes
			Set Node12_Interface_LINK_2.ip = 1.0.4.1
			Set Node12_Interface_LINK_2.netmask = 255.255.255.0

		Module ARP : Node12_ARP_LINK_2
			Set Node12_ARP_LINK_2.guitag_ordinary = yes
			Set Node12_ARP_LINK_2.arpMode = RunARP
			Set Node12_ARP_LINK_2.flushInterval = 3000
			Set Node12_ARP_LINK_2.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node12_FIFO_LINK_2
			Set Node12_FIFO_LINK_2.guitag_ordinary = yes
			Set Node12_FIFO_LINK_2.max_qlen = 50
			Set Node12_FIFO_LINK_2.log_qlen = off
			Set Node12_FIFO_LINK_2.log_option = FullLog
			Set Node12_FIFO_LINK_2.samplerate = 1
			Set Node12_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N12_P2_qlen.log

		Module MAC8023 : Node12_MAC8023_LINK_2
			Set Node12_MAC8023_LINK_2.guitag_ordinary = yes
			Set Node12_MAC8023_LINK_2.mac = 0:1:0:0:0:11
			Set Node12_MAC8023_LINK_2.PromisOpt = off
			Set Node12_MAC8023_LINK_2.mode = full
			Set Node12_MAC8023_LINK_2.log = off
			Set Node12_MAC8023_LINK_2.logInterval = 1
			Set Node12_MAC8023_LINK_2.NumCollision = off
			Set Node12_MAC8023_LINK_2.NumUniInPkt = off
			Set Node12_MAC8023_LINK_2.NumUniOutPkt = off
			Set Node12_MAC8023_LINK_2.NumUniInOutPkt = off
			Set Node12_MAC8023_LINK_2.NumBroInPkt = off
			Set Node12_MAC8023_LINK_2.NumBroOutPkt = off
			Set Node12_MAC8023_LINK_2.NumBroInOutPkt = off
			Set Node12_MAC8023_LINK_2.NumDrop = off
			Set Node12_MAC8023_LINK_2.InThrput = off
			Set Node12_MAC8023_LINK_2.OutThrput = off
			Set Node12_MAC8023_LINK_2.InOutThrput = off
			Set Node12_MAC8023_LINK_2.UniInLogFile = 531MDVB2.8023_N12_P2_UniIn.log
			Set Node12_MAC8023_LINK_2.UniOutLogFile = 531MDVB2.8023_N12_P2_UniOut.log
			Set Node12_MAC8023_LINK_2.UniInOutLogFile = 531MDVB2.8023_N12_P2_UniInOut.log
			Set Node12_MAC8023_LINK_2.BroInLogFile = 531MDVB2.8023_N12_P2_BroIn.log
			Set Node12_MAC8023_LINK_2.BroOutLogFile = 531MDVB2.8023_N12_P2_BroOut.log
			Set Node12_MAC8023_LINK_2.BroInOutLogFile = 531MDVB2.8023_N12_P2_BroInOut.log
			Set Node12_MAC8023_LINK_2.CollLogFile = 531MDVB2.8023_N12_P2_Coll.log
			Set Node12_MAC8023_LINK_2.DropLogFile = 531MDVB2.8023_N12_P2_Drop.log
			Set Node12_MAC8023_LINK_2.InThrputLogFile = 531MDVB2.8023_N12_P2_InThrput.log
			Set Node12_MAC8023_LINK_2.OutThrputLogFile = 531MDVB2.8023_N12_P2_OutThrput.log
			Set Node12_MAC8023_LINK_2.InOutThrputLogFile = 531MDVB2.8023_N12_P2_InOutThrput.log

		Module TCPDUMP : Node12_TCPDUMP_LINK_2
			Set Node12_TCPDUMP_LINK_2.guitag_ordinary = yes

		Module Phy : Node12_Phy_LINK_2
			Set Node12_Phy_LINK_2.guitag_ordinary = yes
			Set Node12_Phy_LINK_2.Bw = 10
			Set Node12_Phy_LINK_2.BER = 0.0
			Set Node12_Phy_LINK_2.PropDelay = 1
			Set Node12_Phy_LINK_2.linkfail = off
			Set Node12_Phy_LINK_2.linkfailFileName = 531MDVB2.phy_N12_P2.linkfail

		Module Link : Node12_LINK_2
			Set Node12_LINK_2.guitag_remotenode = yes


		Bind Node12_Interface_LINK_2 Node12_ARP_LINK_2
		Bind Node12_ARP_LINK_2 Node12_FIFO_LINK_2
		Bind Node12_FIFO_LINK_2 Node12_MAC8023_LINK_2
		Bind Node12_MAC8023_LINK_2 Node12_TCPDUMP_LINK_2
		Bind Node12_TCPDUMP_LINK_2 Node12_Phy_LINK_2
		Bind Node12_Phy_LINK_2 Node12_LINK_2
	EndDefine

EndCreate

Create Node 13 as HOST with name = HOST13
	Define port 1
		Module Interface : Node13_Interface_LINK_1
			Set Node13_Interface_LINK_1.guitag_ordinary = yes
			Set Node13_Interface_LINK_1.ip = 1.0.4.2
			Set Node13_Interface_LINK_1.netmask = 255.255.255.0

		Module ARP : Node13_ARP_LINK_1
			Set Node13_ARP_LINK_1.guitag_ordinary = yes
			Set Node13_ARP_LINK_1.arpMode = RunARP
			Set Node13_ARP_LINK_1.flushInterval = 3000
			Set Node13_ARP_LINK_1.ArpTableFileName = 531MDVB2.arp

		Module FIFO : Node13_FIFO_LINK_1
			Set Node13_FIFO_LINK_1.guitag_ordinary = yes
			Set Node13_FIFO_LINK_1.max_qlen = 50
			Set Node13_FIFO_LINK_1.log_qlen = off
			Set Node13_FIFO_LINK_1.log_option = FullLog
			Set Node13_FIFO_LINK_1.samplerate = 1
			Set Node13_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N13_P1_qlen.log

		Module MAC8023 : Node13_MAC8023_LINK_1
			Set Node13_MAC8023_LINK_1.guitag_ordinary = yes
			Set Node13_MAC8023_LINK_1.mac = 0:1:0:0:0:13
			Set Node13_MAC8023_LINK_1.PromisOpt = off
			Set Node13_MAC8023_LINK_1.mode = full
			Set Node13_MAC8023_LINK_1.log = on
			Set Node13_MAC8023_LINK_1.logInterval = 1
			Set Node13_MAC8023_LINK_1.NumCollision = on
			Set Node13_MAC8023_LINK_1.NumUniInPkt = off
			Set Node13_MAC8023_LINK_1.NumUniOutPkt = off
			Set Node13_MAC8023_LINK_1.NumUniInOutPkt = off
			Set Node13_MAC8023_LINK_1.NumBroInPkt = off
			Set Node13_MAC8023_LINK_1.NumBroOutPkt = off
			Set Node13_MAC8023_LINK_1.NumBroInOutPkt = off
			Set Node13_MAC8023_LINK_1.NumDrop = on
			Set Node13_MAC8023_LINK_1.InThrput = on
			Set Node13_MAC8023_LINK_1.OutThrput = on
			Set Node13_MAC8023_LINK_1.InOutThrput = on
			Set Node13_MAC8023_LINK_1.UniInLogFile = 531MDVB2.8023_N13_P1_UniIn.log
			Set Node13_MAC8023_LINK_1.UniOutLogFile = 531MDVB2.8023_N13_P1_UniOut.log
			Set Node13_MAC8023_LINK_1.UniInOutLogFile = 531MDVB2.8023_N13_P1_UniInOut.log
			Set Node13_MAC8023_LINK_1.BroInLogFile = 531MDVB2.8023_N13_P1_BroIn.log
			Set Node13_MAC8023_LINK_1.BroOutLogFile = 531MDVB2.8023_N13_P1_BroOut.log
			Set Node13_MAC8023_LINK_1.BroInOutLogFile = 531MDVB2.8023_N13_P1_BroInOut.log
			Set Node13_MAC8023_LINK_1.CollLogFile = 531MDVB2.8023_N13_P1_Coll.log
			Set Node13_MAC8023_LINK_1.DropLogFile = 531MDVB2.8023_N13_P1_Drop.log
			Set Node13_MAC8023_LINK_1.InThrputLogFile = 531MDVB2.8023_N13_P1_InThrput.log
			Set Node13_MAC8023_LINK_1.OutThrputLogFile = 531MDVB2.8023_N13_P1_OutThrput.log
			Set Node13_MAC8023_LINK_1.InOutThrputLogFile = 531MDVB2.8023_N13_P1_InOutThrput.log

		Module TCPDUMP : Node13_TCPDUMP_LINK_1
			Set Node13_TCPDUMP_LINK_1.guitag_ordinary = yes

		Module Phy : Node13_Phy_LINK_1
			Set Node13_Phy_LINK_1.guitag_ordinary = yes
			Set Node13_Phy_LINK_1.Bw = 10
			Set Node13_Phy_LINK_1.BER = 0.0
			Set Node13_Phy_LINK_1.PropDelay = 1
			Set Node13_Phy_LINK_1.linkfail = off
			Set Node13_Phy_LINK_1.linkfailFileName = 531MDVB2.phy_N13_P1.linkfail

		Module Link : Node13_LINK_1
			Set Node13_LINK_1.guitag_remotenode = yes


		Bind Node13_Interface_LINK_1 Node13_ARP_LINK_1
		Bind Node13_ARP_LINK_1 Node13_FIFO_LINK_1
		Bind Node13_FIFO_LINK_1 Node13_MAC8023_LINK_1
		Bind Node13_MAC8023_LINK_1 Node13_TCPDUMP_LINK_1
		Bind Node13_TCPDUMP_LINK_1 Node13_Phy_LINK_1
		Bind Node13_Phy_LINK_1 Node13_LINK_1
	EndDefine

EndCreate

Create Node 14 as SWITCH with name = SWITCH14
	Module Switch : Node14_Switch_0
		Set Node14_Switch_0.guitag_addport = yes
		Set Node14_Switch_0.guitag_ordinary = yes
		Set Node14_Switch_0.SWITCH_MODE = RunLearningBridgeProtocol
		Set Node14_Switch_0.flushInterval = 3000
		Set Node14_Switch_0.SpanningTreeProtocol = off
		Set Node14_Switch_0.HelloTime = 1
		Set Node14_Switch_0.MaxAge = 3
		Set Node14_Switch_0.ForwardDelay = 15
		Set Node14_Switch_0.SwitchTableFileName = 531MDVB2.sw_N14.smt
	Define port 1
		Module FIFO : Node14_FIFO_LINK_1

			Set Node14_Switch_0.port1 = Node14_FIFO_LINK_1
			Set Node14_Switch_0.fixed_net1 = Node14_FIFO_LINK_1.no
			Set Node14_FIFO_LINK_1.recvtarget = Node14_Switch_0

			Set Node14_FIFO_LINK_1.guitag_ordinary = yes
			Set Node14_FIFO_LINK_1.max_qlen = 50
			Set Node14_FIFO_LINK_1.log_qlen = off
			Set Node14_FIFO_LINK_1.log_option = FullLog
			Set Node14_FIFO_LINK_1.samplerate = 1
			Set Node14_FIFO_LINK_1.logFileName = 531MDVB2.fifo_N14_P1_qlen.log

		Module MAC8023 : Node14_MAC8023_LINK_1
			Set Node14_MAC8023_LINK_1.guitag_ordinary = yes
			Set Node14_MAC8023_LINK_1.mac = 0:0:0:0:0:0
			Set Node14_MAC8023_LINK_1.PromisOpt = on
			Set Node14_MAC8023_LINK_1.mode = full
			Set Node14_MAC8023_LINK_1.log = off
			Set Node14_MAC8023_LINK_1.logInterval = 1
			Set Node14_MAC8023_LINK_1.NumCollision = off
			Set Node14_MAC8023_LINK_1.NumUniInPkt = off
			Set Node14_MAC8023_LINK_1.NumUniOutPkt = off
			Set Node14_MAC8023_LINK_1.NumUniInOutPkt = off
			Set Node14_MAC8023_LINK_1.NumBroInPkt = off
			Set Node14_MAC8023_LINK_1.NumBroOutPkt = off
			Set Node14_MAC8023_LINK_1.NumBroInOutPkt = off
			Set Node14_MAC8023_LINK_1.NumDrop = off
			Set Node14_MAC8023_LINK_1.InThrput = off
			Set Node14_MAC8023_LINK_1.OutThrput = off
			Set Node14_MAC8023_LINK_1.InOutThrput = off
			Set Node14_MAC8023_LINK_1.UniInLogFile = 531MDVB2.8023_N14_P1_UniIn.log
			Set Node14_MAC8023_LINK_1.UniOutLogFile = 531MDVB2.8023_N14_P1_UniOut.log
			Set Node14_MAC8023_LINK_1.UniInOutLogFile = 531MDVB2.8023_N14_P1_UniInOut.log
			Set Node14_MAC8023_LINK_1.BroInLogFile = 531MDVB2.8023_N14_P1_BroIn.log
			Set Node14_MAC8023_LINK_1.BroOutLogFile = 531MDVB2.8023_N14_P1_BroOut.log
			Set Node14_MAC8023_LINK_1.BroInOutLogFile = 531MDVB2.8023_N14_P1_BroInOut.log
			Set Node14_MAC8023_LINK_1.CollLogFile = 531MDVB2.8023_N14_P1_Coll.log
			Set Node14_MAC8023_LINK_1.DropLogFile = 531MDVB2.8023_N14_P1_Drop.log
			Set Node14_MAC8023_LINK_1.InThrputLogFile = 531MDVB2.8023_N14_P1_InThrput.log
			Set Node14_MAC8023_LINK_1.OutThrputLogFile = 531MDVB2.8023_N14_P1_OutThrput.log
			Set Node14_MAC8023_LINK_1.InOutThrputLogFile = 531MDVB2.8023_N14_P1_InOutThrput.log

		Module Phy : Node14_Phy_LINK_1
			Set Node14_Phy_LINK_1.guitag_ordinary = yes
			Set Node14_Phy_LINK_1.Bw = 10
			Set Node14_Phy_LINK_1.BER = 0.0
			Set Node14_Phy_LINK_1.PropDelay = 1
			Set Node14_Phy_LINK_1.linkfail = off
			Set Node14_Phy_LINK_1.linkfailFileName = 531MDVB2.phy_N14_P1.linkfail

		Module Link : Node14_LINK_1
			Set Node14_LINK_1.guitag_remotenode = yes


		Bind Node14_FIFO_LINK_1 Node14_MAC8023_LINK_1
		Bind Node14_MAC8023_LINK_1 Node14_Phy_LINK_1
		Bind Node14_Phy_LINK_1 Node14_LINK_1
	EndDefine

	Define port 2
		Module FIFO : Node14_FIFO_LINK_2

			Set Node14_Switch_0.port2 = Node14_FIFO_LINK_2
			Set Node14_Switch_0.fixed_net2 = Node14_FIFO_LINK_2.no
			Set Node14_FIFO_LINK_2.recvtarget = Node14_Switch_0

			Set Node14_FIFO_LINK_2.guitag_ordinary = yes
			Set Node14_FIFO_LINK_2.max_qlen = 50
			Set Node14_FIFO_LINK_2.log_qlen = off
			Set Node14_FIFO_LINK_2.log_option = FullLog
			Set Node14_FIFO_LINK_2.samplerate = 1
			Set Node14_FIFO_LINK_2.logFileName = 531MDVB2.fifo_N14_P2_qlen.log

		Module MAC8023 : Node14_MAC8023_LINK_2
			Set Node14_MAC8023_LINK_2.guitag_ordinary = yes
			Set Node14_MAC8023_LINK_2.mac = 0:0:0:0:0:0
			Set Node14_MAC8023_LINK_2.PromisOpt = on
			Set Node14_MAC8023_LINK_2.mode = full
			Set Node14_MAC8023_LINK_2.log = off
			Set Node14_MAC8023_LINK_2.logInterval = 1
			Set Node14_MAC8023_LINK_2.NumCollision = off
			Set Node14_MAC8023_LINK_2.NumUniInPkt = off
			Set Node14_MAC8023_LINK_2.NumUniOutPkt = off
			Set Node14_MAC8023_LINK_2.NumUniInOutPkt = off
			Set Node14_MAC8023_LINK_2.NumBroInPkt = off
			Set Node14_MAC8023_LINK_2.NumBroOutPkt = off
			Set Node14_MAC8023_LINK_2.NumBroInOutPkt = off
			Set Node14_MAC8023_LINK_2.NumDrop = off
			Set Node14_MAC8023_LINK_2.InThrput = off
			Set Node14_MAC8023_LINK_2.OutThrput = off
			Set Node14_MAC8023_LINK_2.InOutThrput = off
			Set Node14_MAC8023_LINK_2.UniInLogFile = 531MDVB2.8023_N14_P2_UniIn.log
			Set Node14_MAC8023_LINK_2.UniOutLogFile = 531MDVB2.8023_N14_P2_UniOut.log
			Set Node14_MAC8023_LINK_2.UniInOutLogFile = 531MDVB2.8023_N14_P2_UniInOut.log
			Set Node14_MAC8023_LINK_2.BroInLogFile = 531MDVB2.8023_N14_P2_BroIn.log
			Set Node14_MAC8023_LINK_2.BroOutLogFile = 531MDVB2.8023_N14_P2_BroOut.log
			Set Node14_MAC8023_LINK_2.BroInOutLogFile = 531MDVB2.8023_N14_P2_BroInOut.log
			Set Node14_MAC8023_LINK_2.CollLogFile = 531MDVB2.8023_N14_P2_Coll.log
			Set Node14_MAC8023_LINK_2.DropLogFile = 531MDVB2.8023_N14_P2_Drop.log
			Set Node14_MAC8023_LINK_2.InThrputLogFile = 531MDVB2.8023_N14_P2_InThrput.log
			Set Node14_MAC8023_LINK_2.OutThrputLogFile = 531MDVB2.8023_N14_P2_OutThrput.log
			Set Node14_MAC8023_LINK_2.InOutThrputLogFile = 531MDVB2.8023_N14_P2_InOutThrput.log

		Module Phy : Node14_Phy_LINK_2
			Set Node14_Phy_LINK_2.guitag_ordinary = yes
			Set Node14_Phy_LINK_2.Bw = 10
			Set Node14_Phy_LINK_2.BER = 0.0
			Set Node14_Phy_LINK_2.PropDelay = 1
			Set Node14_Phy_LINK_2.linkfail = off
			Set Node14_Phy_LINK_2.linkfailFileName = 531MDVB2.phy_N14_P2.linkfail

		Module Link : Node14_LINK_2
			Set Node14_LINK_2.guitag_remotenode = yes


		Bind Node14_FIFO_LINK_2 Node14_MAC8023_LINK_2
		Bind Node14_MAC8023_LINK_2 Node14_Phy_LINK_2
		Bind Node14_Phy_LINK_2 Node14_LINK_2
	EndDefine

	Define port 3
		Module FIFO : Node14_FIFO_LINK_3

			Set Node14_Switch_0.port3 = Node14_FIFO_LINK_3
			Set Node14_Switch_0.fixed_net3 = Node14_FIFO_LINK_3.no
			Set Node14_FIFO_LINK_3.recvtarget = Node14_Switch_0

			Set Node14_FIFO_LINK_3.guitag_ordinary = yes
			Set Node14_FIFO_LINK_3.max_qlen = 50
			Set Node14_FIFO_LINK_3.log_qlen = off
			Set Node14_FIFO_LINK_3.log_option = FullLog
			Set Node14_FIFO_LINK_3.samplerate = 1
			Set Node14_FIFO_LINK_3.logFileName = 531MDVB2.fifo_N14_P3_qlen.log

		Module MAC8023 : Node14_MAC8023_LINK_3
			Set Node14_MAC8023_LINK_3.guitag_ordinary = yes
			Set Node14_MAC8023_LINK_3.mac = 0:0:0:0:0:0
			Set Node14_MAC8023_LINK_3.PromisOpt = on
			Set Node14_MAC8023_LINK_3.mode = full
			Set Node14_MAC8023_LINK_3.log = off
			Set Node14_MAC8023_LINK_3.logInterval = 1
			Set Node14_MAC8023_LINK_3.NumCollision = off
			Set Node14_MAC8023_LINK_3.NumUniInPkt = off
			Set Node14_MAC8023_LINK_3.NumUniOutPkt = off
			Set Node14_MAC8023_LINK_3.NumUniInOutPkt = off
			Set Node14_MAC8023_LINK_3.NumBroInPkt = off
			Set Node14_MAC8023_LINK_3.NumBroOutPkt = off
			Set Node14_MAC8023_LINK_3.NumBroInOutPkt = off
			Set Node14_MAC8023_LINK_3.NumDrop = off
			Set Node14_MAC8023_LINK_3.InThrput = off
			Set Node14_MAC8023_LINK_3.OutThrput = off
			Set Node14_MAC8023_LINK_3.InOutThrput = off
			Set Node14_MAC8023_LINK_3.UniInLogFile = 531MDVB2.8023_N14_P3_UniIn.log
			Set Node14_MAC8023_LINK_3.UniOutLogFile = 531MDVB2.8023_N14_P3_UniOut.log
			Set Node14_MAC8023_LINK_3.UniInOutLogFile = 531MDVB2.8023_N14_P3_UniInOut.log
			Set Node14_MAC8023_LINK_3.BroInLogFile = 531MDVB2.8023_N14_P3_BroIn.log
			Set Node14_MAC8023_LINK_3.BroOutLogFile = 531MDVB2.8023_N14_P3_BroOut.log
			Set Node14_MAC8023_LINK_3.BroInOutLogFile = 531MDVB2.8023_N14_P3_BroInOut.log
			Set Node14_MAC8023_LINK_3.CollLogFile = 531MDVB2.8023_N14_P3_Coll.log
			Set Node14_MAC8023_LINK_3.DropLogFile = 531MDVB2.8023_N14_P3_Drop.log
			Set Node14_MAC8023_LINK_3.InThrputLogFile = 531MDVB2.8023_N14_P3_InThrput.log
			Set Node14_MAC8023_LINK_3.OutThrputLogFile = 531MDVB2.8023_N14_P3_OutThrput.log
			Set Node14_MAC8023_LINK_3.InOutThrputLogFile = 531MDVB2.8023_N14_P3_InOutThrput.log

		Module Phy : Node14_Phy_LINK_3
			Set Node14_Phy_LINK_3.guitag_ordinary = yes
			Set Node14_Phy_LINK_3.Bw = 10
			Set Node14_Phy_LINK_3.BER = 0.0
			Set Node14_Phy_LINK_3.PropDelay = 1
			Set Node14_Phy_LINK_3.linkfail = off
			Set Node14_Phy_LINK_3.linkfailFileName = 531MDVB2.phy_N14_P3.linkfail

		Module Link : Node14_LINK_3
			Set Node14_LINK_3.guitag_remotenode = yes


		Bind Node14_FIFO_LINK_3 Node14_MAC8023_LINK_3
		Bind Node14_MAC8023_LINK_3 Node14_Phy_LINK_3
		Bind Node14_Phy_LINK_3 Node14_LINK_3
	EndDefine

	Define port 4
		Module FIFO : Node14_FIFO_LINK_4

			Set Node14_Switch_0.port4 = Node14_FIFO_LINK_4
			Set Node14_Switch_0.fixed_net4 = Node14_FIFO_LINK_4.no
			Set Node14_FIFO_LINK_4.recvtarget = Node14_Switch_0

			Set Node14_FIFO_LINK_4.guitag_ordinary = yes
			Set Node14_FIFO_LINK_4.max_qlen = 50
			Set Node14_FIFO_LINK_4.log_qlen = off
			Set Node14_FIFO_LINK_4.log_option = FullLog
			Set Node14_FIFO_LINK_4.samplerate = 1
			Set Node14_FIFO_LINK_4.logFileName = 531MDVB2.fifo_N14_P4_qlen.log

		Module MAC8023 : Node14_MAC8023_LINK_4
			Set Node14_MAC8023_LINK_4.guitag_ordinary = yes
			Set Node14_MAC8023_LINK_4.mac = 0:0:0:0:0:0
			Set Node14_MAC8023_LINK_4.PromisOpt = on
			Set Node14_MAC8023_LINK_4.mode = full
			Set Node14_MAC8023_LINK_4.log = off
			Set Node14_MAC8023_LINK_4.logInterval = 1
			Set Node14_MAC8023_LINK_4.NumCollision = off
			Set Node14_MAC8023_LINK_4.NumUniInPkt = off
			Set Node14_MAC8023_LINK_4.NumUniOutPkt = off
			Set Node14_MAC8023_LINK_4.NumUniInOutPkt = off
			Set Node14_MAC8023_LINK_4.NumBroInPkt = off
			Set Node14_MAC8023_LINK_4.NumBroOutPkt = off
			Set Node14_MAC8023_LINK_4.NumBroInOutPkt = off
			Set Node14_MAC8023_LINK_4.NumDrop = off
			Set Node14_MAC8023_LINK_4.InThrput = off
			Set Node14_MAC8023_LINK_4.OutThrput = off
			Set Node14_MAC8023_LINK_4.InOutThrput = off
			Set Node14_MAC8023_LINK_4.UniInLogFile = 531MDVB2.8023_N14_P4_UniIn.log
			Set Node14_MAC8023_LINK_4.UniOutLogFile = 531MDVB2.8023_N14_P4_UniOut.log
			Set Node14_MAC8023_LINK_4.UniInOutLogFile = 531MDVB2.8023_N14_P4_UniInOut.log
			Set Node14_MAC8023_LINK_4.BroInLogFile = 531MDVB2.8023_N14_P4_BroIn.log
			Set Node14_MAC8023_LINK_4.BroOutLogFile = 531MDVB2.8023_N14_P4_BroOut.log
			Set Node14_MAC8023_LINK_4.BroInOutLogFile = 531MDVB2.8023_N14_P4_BroInOut.log
			Set Node14_MAC8023_LINK_4.CollLogFile = 531MDVB2.8023_N14_P4_Coll.log
			Set Node14_MAC8023_LINK_4.DropLogFile = 531MDVB2.8023_N14_P4_Drop.log
			Set Node14_MAC8023_LINK_4.InThrputLogFile = 531MDVB2.8023_N14_P4_InThrput.log
			Set Node14_MAC8023_LINK_4.OutThrputLogFile = 531MDVB2.8023_N14_P4_OutThrput.log
			Set Node14_MAC8023_LINK_4.InOutThrputLogFile = 531MDVB2.8023_N14_P4_InOutThrput.log

		Module Phy : Node14_Phy_LINK_4
			Set Node14_Phy_LINK_4.guitag_ordinary = yes
			Set Node14_Phy_LINK_4.Bw = 10
			Set Node14_Phy_LINK_4.BER = 0.0
			Set Node14_Phy_LINK_4.PropDelay = 1
			Set Node14_Phy_LINK_4.linkfail = off
			Set Node14_Phy_LINK_4.linkfailFileName = 531MDVB2.phy_N14_P4.linkfail

		Module Link : Node14_LINK_4
			Set Node14_LINK_4.guitag_remotenode = yes


		Bind Node14_FIFO_LINK_4 Node14_MAC8023_LINK_4
		Bind Node14_MAC8023_LINK_4 Node14_Phy_LINK_4
		Bind Node14_Phy_LINK_4 Node14_LINK_4
	EndDefine

EndCreate

Connect WIRE 3.Node3_LINK_3 5.Node5_LINK_1

Connect WIRE 4.Node4_LINK_3 5.Node5_LINK_2

Connect WIRE 5.Node5_LINK_3 6.Node6_LINK_1

Connect WIRE 6.Node6_LINK_2 11.Node11_LINK_1

Connect WIRE 8.Node8_LINK_2 14.Node14_LINK_1

Connect WIRE 9.Node9_LINK_2 14.Node14_LINK_4

Connect WIRE 10.Node10_LINK_1 14.Node14_LINK_3

Connect WIRE 11.Node11_LINK_2 14.Node14_LINK_2

Connect WIRE 12.Node12_LINK_2 13.Node13_LINK_1

Connect WIRELESS 1.Node1_LINK_1 2.Node2_LINK_1 3.Node3_LINK_1 3.Node3_LINK_2 4.Node4_LINK_1 4.Node4_LINK_2 
Connect SAT 8.Node8_LINK_1 7.Node7_LINK_1 
Connect SAT 12.Node12_LINK_1 7.Node7_LINK_1 
Connect SAT 7.Node7_LINK_1 9.Node9_LINK_1 
Connect SAT 7.Node7_LINK_1 12.Node12_LINK_1 


Run 150
